METHOD method_Clear_Last_Error
{
	CW_access_for_onlinemenus
	LABEL [lbl_method_Clear_Last_Error];

	CLASS		OUTPUT;
	DEFINITION
	{       
		#ifdef _PDM_
			int ret;
            long ids[2];
			ids[0] = VARID (phys_ehc_last_error);
			ret = acknowledge ([lbl_Clear_Last_Error], ids );
			if (ret) process_abort();	// ok <=> 0
		#endif
		iassign(phys_clear_last_error,1);
		save_values();	//#tb
	}
}

METHOD method_Set_Unit_To_Bus
{
	CW_access_for_onlinemenus
	LABEL [lbl_method_Set_Unit_To_Bus];

	CLASS		OUTPUT;
	DEFINITION
	{
		iassign(phys_set_unit_to_bus,1);
		save_values();	//#tb
		#ifdef _PDM_
			ACKNOWLEDGE("Scaling and Units successfully changed|de|Skalierung und Einheiten erfolgreich gesetzt");
		#endif
	}

}

METHOD method_manufact_Reset
{
	CW_access_for_onlinemenus
	LABEL [lbl_manufact_Reset];

	CLASS		OUTPUT;
	DEFINITION
	{
		iassign(manufact_Reset,1);
		WriteCommand(write_manufact_Reset);	//#tb
	}
}

/*
VARIABLE setUnitToBus_offline
{
	LABEL "set unit to bus|de|Setze Einh. Out";	
	CLASS LOCAL ;
	VALIDITY TRUE ;
	HANDLING READ & WRITE ;
	TYPE ENUMERATED (1) 
	{ 
		DEFAULT_VALUE 0; 
		{0,""}
		{1,"confirm|de|besttigen"}
	}
	POST_EDIT_ACTIONS {
		PostEdit_setUnitToBus_offline
	}
}

METHOD PostEdit_setUnitToBus_offline
{	
	DEFINITION
	{
		if (ivar_value(setUnitToBus_offline) == 1)
		{
			fassign(func1_AI_out_lower_range_value, fvar_value(trans1_range_begin));
			fassign(func1_AI_out_upper_range_value, fvar_value(trans1_range_end));

			fassign(func2_AI_out_lower_range_value, fvar_value(trans2_range_begin));
			fassign(func2_AI_out_upper_range_value, fvar_value(trans2_range_end));

			fassign(func3_AI_out_lower_range_value, fvar_value(trans3_range_begin));
			fassign(func3_AI_out_upper_range_value, fvar_value(trans3_range_end));

			fassign(func4_AI_out_lower_range_value, fvar_value(trans4_range_begin));
			fassign(func4_AI_out_upper_range_value, fvar_value(trans4_range_end));
			
			iassign(setUnitToBus_offline, 0);
			save_values();
		}
	}
}

setUnitToBus_online LIKE VARIABLE setUnitToBus_offline
{
	REDEFINE POST_EDIT_ACTIONS 
	{
		PostEdit_setUnitToBus_online
	}
}

METHOD PostEdit_setUnitToBus_online
{	
	DEFINITION
	{
		if (ivar_value(setUnitToBus_online) == 1)
		{
			iassign(phys_set_unit_to_bus, 1);
			WriteCommand(write_phys_set_unit_to_bus);

			iassign(setUnitToBus_online, 0);
			save_values();
		}
	}
}

REFRESH setUnitToBus_refreshonline
{
	phys_set_unit_to_bus: 
		//func1_AI_pv_upper_range_value,
		//func1_AI_pv_lower_range_value,
		func1_AI_out_upper_range_value,
		func1_AI_out_lower_range_value,
		func2_AI_out_upper_range_value,
		func2_AI_out_lower_range_value,
		func3_AI_out_upper_range_value,
		func3_AI_out_lower_range_value,
		func4_AI_out_upper_range_value,
		func4_AI_out_lower_range_value
}
*/
