//******************************************************************************
//****	MENU Bar  **************************************************************
//******************************************************************************

#include "MENU_EHC_online_Profile.ddl"


//#tbnew #ifndef _PDM_
	#include "Popup_online_menues.ddl"
//#tbnew #endif


#ifdef _PDM_
	#include "MENU_PDM_online.ddl"
	#include "MENU_PDM_online_M.ddl"
#endif
/*#tb
MENU Online_Root_RB
{
	CW_access_for_onlinemenus
	LABEL		"PDM-Startmenue, Online";
	ITEMS
	{
		Page_diagnosis_general,
		
		Page_diagnosis_physical,
		Page_diagnosis_trans,
		Page_diagnosis_function,
		Page_diagnosis_manufact_specific
	}
}

MENU Offline_Root_RB
{
	#ifndef _PDM_
	ACCESS OFFLINE;
	#endif
	LABEL		"PDM-Startmenue, Offline";
	ITEMS
	{
		Off_Page_diagnosis_general,
		Off_Page_diagnosis_physical,
		Off_Page_diagnosis_trans,
		Off_Page_diagnosis_function,
		Off_Page_diagnosis_manufact_specific
	}
}
*/

MENU DTM_offline_root_menu
{
	#ifndef _PDM_
	ACCESS OFFLINE;
	#endif
	LABEL "Offline base menu";
    ITEMS
    {	
		Off_Page_diagnosis_manufact_specific,
		Off_Page_Profil
    }
}

MENU DTM_online_root_menu
{
	CW_access_for_onlinemenus
	LABEL "Online base menu";
    ITEMS
    {	
		Page_diagnosis_manufact_specific,
		Page_Profil
    }
}



MENU Off_Page_Profil
{
	#ifndef _PDM_
	ACCESS OFFLINE;
	#endif
#ifdef DEVICE_PARAM_PH
	LABEL [menu_table_sensor_pH];
#else
	LABEL [menu_table_sensor_conductive];
#endif
	ITEMS
	{
		#ifdef _PDM_
			Off_Tab_s_ident,
		#else
			Tab_s_ident,
		#endif
		Off_Page_diagnosis_trans,
		Off_Page_diagnosis_function,
		Tab_s_certificates
		//Tab_s_func1
		/*#tbxxx
		  Off_Page_diagnosis_general,
		Off_Page_diagnosis_physical,
		
		
		*/
	}
}













#ifdef _PDM_
	//thbe: used by PDM
	//#tbnew Table_Main_Specialist LIKE MENU Offline_Root_RB
	Table_Main_Specialist LIKE MENU Table_Main_Maintenance
	{}
	#include "Menu_PDM_offline.ddl"
#endif

//******************************************************************************
//****	Online-Windows  ********************************************************
//******************************************************************************
/*#tbxxx
MENU Page_diagnosis_general
{
	CW_access_for_onlinemenus
  LABEL	[menu_dialog_general];
  ITEMS
  {
    phys_tag_desc,
    phys_device_man_id,
    phys_device_id,
    phys_device_ser_num,
    phys_software_rev,
    phys_hardware_rev,
    phys_install_date,
    phys_diagnosis,
	Page_diagnosis_erors
	
  }
}


MENU Page_diagnosis_erors
{
	CW_access_for_onlinemenus
  LABEL	[lbl_menu_dialog_errors];
  ITEMS
  {
	phys_diagnosis_ext_BYTE_1,
	phys_diagnosis_ext_BYTE_2,
	phys_diagnosis_ext_BYTE_3,
	phys_diagnosis_ext_BYTE_4,
	phys_diagnosis_ext_BYTE_5,
	phys_diagnosis_ext_BYTE_6
  }
}


MENU Page_diagnosis_physical
{
	CW_access_for_onlinemenus
  LABEL	[blk_block_object_PHYSICAL];
  ITEMS
  {
		Page_diagnosis_phys_standard,
		Page_diagnosis_phys_block,
		Page_diagnosis_phys_e_h_param
  }
}
*/

MENU Page_diagnosis_trans
{
	CW_access_for_onlinemenus
  //#tb LABEL	[blk_block_object_TRANSDUCER];  
  LABEL [menu_input];
  ITEMS
  {
		Page_diagnosis_trans1,
		Page_diagnosis_trans2,
		Page_diagnosis_trans3,
		Page_diagnosis_trans4
  }
}



//******************************************************************************
//****	VH- MATRIX MENU   ******************************************************
//******************************************************************************

#include "MENU_VH_EHC.DDL"

#include "MENU_VH_EHC_Off.DDL"


//******************************************************************************
//****	PB-BLOCK MENU   ********************************************************
//******************************************************************************
/*#tbxxx
MENU Page_diagnosis_phys_standard
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_phys_standard];
  ITEMS
  {
		Page_diagnosis_phys_block_object,
		phys_st_rev,
		phys_tag_desc,
		phys_strategy,
		phys_alert_key,
		phys_target_mode,
		phys_actual_mode,
		phys_permitted_mode,
		phys_normal_mode,
		phys_current_state_alarm_sum,
		phys_unacknowledged_state_alarm_sum,
		phys_unreported_state_alarm_sum,
		phys_disabled_state_alarm_sum
  }
}

MENU Page_diagnosis_phys_block_object
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_phys_block_object];
  ITEMS
  {
		phys_blk_reserve,
		phys_blk_object,
		phys_blk_parent_class,
		phys_blk_class,
		phys_blk_dd_reference,
		phys_blk_dd_rev,
		phys_blk_profile,
		phys_blk_profile_rev,
		phys_blk_execution_time,
		phys_blk_num_parameters,
		phys_blk_index_view_1,
		phys_blk_num_view_lists
  }
}


MENU Page_diagnosis_phys_block
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_phys_block];
  ITEMS
  {
		phys_software_rev,
		phys_hardware_rev,
		phys_device_man_id,
		phys_device_id,
		phys_device_ser_num,
		phys_device_certification,
//#tb		phys_write_locking,
		local_phys_write_locking,	//#tb
		phys_factory_reset,
		phys_descriptor,
		phys_message,
		phys_install_date,
		phys_local_op_enable,
		phys_ident_number,
		phys_HW_write_protection,
		phys_device_configuration,
		phys_init_state,
		phys_device_state,
		phys_global_status
  }
}

MENU Page_diagnosis_phys_e_h_param
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_phys_e_h_param];
  ITEMS
  {
		phys_ehc_actual_error,
		phys_ehc_last_error,
//		phys_ehc_updown_support,
		phys_device_bus_adress,
		method_Set_Unit_To_Bus,
		method_Clear_Last_Error
  }
}
*/
//******************************************************************************
//****	TB-BLOCK MENU   ********************************************************
//******************************************************************************


#include "MENU_TB1_EHC.DDL"
#include "MENU_TB2_EHC.DDL"
#include "MENU_TB3_EHC.DDL"
#include "MENU_TB4_EHC.DDL"


#include "MENU_TB1_EHC_Off.DDL"
#include "MENU_TB2_EHC_Off.DDL"
#include "MENU_TB3_EHC_Off.DDL"
#include "MENU_TB4_EHC_Off.DDL"

//******************************************************************************
//****	FB / AI -BLOCK MENU   **************************************************
//******************************************************************************
/*#tbxxx */
#include "MENU_FB1_EHC.DDL"
#include "MENU_FB2_EHC.DDL"
#include "MENU_FB3_EHC.DDL"
#include "MENU_FB4_EHC.DDL"

#include "MENU_FB1_EHC_Off.DDL"
#include "MENU_FB2_EHC_Off.DDL"
#include "MENU_FB3_EHC_Off.DDL"
#include "MENU_FB4_EHC_Off.DDL"

//******************************************************************************
//****	Methods	    	********************************************************
//******************************************************************************

//******************************************************************************

//up/download menu
#ifndef _PDM_
	#include "VARS_EHC.DDL"
#else
	#include "VARS_EHC_PDM.DDL"
#endif


//******************************************************************************
//******************************************************************************
//******************************************************************************
//******************************************************************************
/*#tbxxx
MENU Page_debug_test
{
	CW_access_for_onlinemenus
  LABEL	"Debug test";
  ITEMS
  {
		phys_diagnosis,
		phys_diagnosis_ext_BYTE_1,
		phys_diagnosis_ext_BYTE_2,
		phys_diagnosis_ext_BYTE_3,
		phys_diagnosis_ext_BYTE_4,
		phys_diagnosis_ext_BYTE_5,
		phys_diagnosis_ext_BYTE_6
   }
}

*/


//******************************************************************************
//****	Offline-Windows  *******************************************************
//******************************************************************************
/*#tbxxx
MENU Off_Page_diagnosis_general
{
	ACCESS OFFLINE;
	LABEL	[menu_dialog_general];
	ITEMS
	{
		phys_tag_desc,
		phys_device_man_id,
		phys_device_id,
		phys_device_ser_num,
		phys_software_rev,
		phys_hardware_rev,
		phys_install_date
  }
}


MENU Off_Page_diagnosis_physical
{
	ACCESS OFFLINE;
	LABEL	[blk_block_object_PHYSICAL];
	ITEMS
	{
		Off_Page_diagnosis_phys_standard,
		Off_Page_diagnosis_phys_block,
		Off_Page_diagnosis_phys_e_h_param
	}
}


MENU Off_Page_diagnosis_phys_standard
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_phys_standard];
	ITEMS
	{
		Off_Page_diagnosis_phys_block_object,
		phys_st_rev,
		phys_tag_desc,
		phys_strategy,
		phys_alert_key,
		phys_target_mode,
		phys_actual_mode,
		phys_permitted_mode,
		phys_normal_mode
  }
}

MENU Off_Page_diagnosis_phys_block_object
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_phys_block_object];
	ITEMS
	{
		phys_blk_reserve,
		phys_blk_object,
		phys_blk_parent_class,
		phys_blk_class,
		phys_blk_dd_reference,
		phys_blk_dd_rev,
		phys_blk_profile,
		phys_blk_profile_rev,
		phys_blk_execution_time,
		phys_blk_num_parameters,
		phys_blk_index_view_1,
		phys_blk_num_view_lists
  }
}

MENU Off_Page_diagnosis_phys_block
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_phys_block];
	ITEMS
	{
		phys_software_rev,
		phys_hardware_rev,
		phys_device_man_id,
		phys_device_id,
		phys_device_ser_num,
		phys_device_certification,
		phys_write_locking (READ_ONLY),
		//phys_factory_reset,
		phys_descriptor,
		phys_message,
		phys_install_date,
		phys_local_op_enable,
		phys_ident_number,
		//phys_HW_write_protection,
		phys_device_configuration,
		phys_init_state,
		//phys_device_state,
		//phys_global_status
	}
}

MENU Off_Page_diagnosis_phys_e_h_param
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_phys_e_h_param];
	ITEMS
	{
//		phys_ehc_updown_support,
		phys_device_bus_adress
	}
}
*/

MENU Off_Page_diagnosis_trans
{
	#ifndef _PDM_
		ACCESS OFFLINE;
	#endif
	//#tb LABEL	[blk_block_object_TRANSDUCER];
	LABEL [menu_input];
	ITEMS
	{
		Off_Page_diagnosis_trans1
		Off_Page_diagnosis_trans2,
		Off_Page_diagnosis_trans3,
		Off_Page_diagnosis_trans4
	}
}


MENU Off_Page_diagnosis_function
{
	#ifndef _PDM_
		ACCESS OFFLINE;
	#endif
	//#tb LABEL	[blk_block_object_FUNCTION];
	LABEL [menu_output];
	ITEMS
	{
		Tab_s_func1,
		Tab_s_func2,
		Tab_s_func3,
		Tab_s_func4,
		/*#tbxxx
		Off_Page_diagnosis_function_1
		Off_Page_diagnosis_function_2,
		Off_Page_diagnosis_function_3,
		Off_Page_diagnosis_function_4
		*/
	}
}


/*##########################################*/
/*  ############# Reset Menu ############## */

MENU CW_Page_reset_device
{
	CW_access_for_onlinemenus
  LABEL	[menu_Device];
  HELP	[sitf_menu_reset_device_help];
  ITEMS
  {
    local_phys_factory_reset,
    phys_diagnosis
    meth_send_phys_factory_reset
  }
}

local_phys_factory_reset LIKE VARIABLE phys_factory_reset
{
	REDEFINE CLASS LOCAL;
}



METHOD 	meth_send_phys_factory_reset
{
	ACCESS ONLINE;
	CLASS INPUT;
	LABEL "Send values to device|de|Werte zum Gert senden";
	DEFINITION
	{
		/* created DS 22.11.2002
			This method shall send the local (local_~) simulation settings to device
		*/

		long l_phys_factory_reset;
	
		/*getting the local values*/
		l_phys_factory_reset = lvar_value(local_phys_factory_reset);
		
		
		/* sync the device variables with the local variables */
	
		lassign(phys_factory_reset, l_phys_factory_reset);

		
		WriteCommand(write_phys_factory_reset);
		ReadCommand(read_phys_factory_reset);
		
		/*getting the value from device*/
		l_phys_factory_reset = lvar_value(phys_factory_reset);
		/*sync with local */
		lassign(local_phys_factory_reset, l_phys_factory_reset);
		save_values();
	}
}

/* ########  write locking ########## */


MENU CW_OnlineDialog_write_locking
{
  CW_access_for_onlinemenus
  LABEL	[phys_write_locking];
  HELP	[phys_write_locking_help];
  ITEMS
  {
    //#tb local_phys_write_locking
	  phys_write_locking
    //meth_send_phys_write_locking
  }
}


local_phys_write_locking LIKE VARIABLE phys_write_locking
{
	REDEFINE CLASS LOCAL;


	REDEFINE POST_EDIT_ACTIONS
	{
		meth_get_phys_write_locking,
		meth_send_phys_write_locking
	}
}

METHOD 	meth_get_phys_write_locking
{
	CLASS INPUT;
	DEFINITION
	{
		lsetval(lvar_value(phys_write_locking));
		save_values();
	}
}


METHOD 	meth_send_phys_write_locking
{
	ACCESS ONLINE;
	CLASS INPUT;
	LABEL "Send values to device|de|Werte zum Gert senden";
	DEFINITION
	{
		//created DS 22.11.2002
		//his method shall send the local (local_~) simulation settings to device

		long l_phys_write_locking;
	
		//etting the local values
		//l_phys_write_locking = lvar_value(local_phys_write_locking);
		l_phys_write_locking = lgetval();

		//#tb this is cause the device causes an error if non of the two values
		//are written to the device
		if((l_phys_write_locking == 0) || (l_phys_write_locking == 2457))
		{
			//sync the device variables with the local variables 
			lassign(phys_write_locking, l_phys_write_locking);

			WriteCommand(write_phys_write_locking);
			ReadCommand(read_phys_write_locking);
			
			//etting the value from device
			l_phys_write_locking = lvar_value(phys_write_locking);
			//ync with local 
			//lassign(local_phys_write_locking, l_phys_write_locking);
			lsetval(l_phys_write_locking);
			save_values();
		}
	}
}

