
//******************************************************************************
//****	AI 1 -BLOCK MENU      **************************************************
//******************************************************************************


MENU Page_diagnosis_function_1
{
	CW_access_for_onlinemenus
  LABEL	[func1_AI];
  ITEMS
  {
		Page_diagnosis_function1_standard,
		Page_diagnosis_function1_block
  }
}

MENU Page_diagnosis_function1_standard
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_phys_standard];
  ITEMS
  {
		Page_diagnosis_function1_block_object,
		analog_input1_st_rev,
		analog_input1_tag_desc,
		analog_input1_strategy,
		analog_input1_alert_key,
		analog_input1_target_mode,
		analog_input1_actual_mode,
		analog_input1_permitted_mode,
		analog_input1_normal_mode,
		analog_input1_current_state_alarm_sum,
		analog_input1_unacknowledged_state_alarm_sum,
		analog_input1_unreported_state_alarm_sum,
		analog_input1_disabled_state_alarm_sum
		/*thbe
		analog_input1_batch_id,
		analog_input1_batch_unit,
		analog_input1_batch_operation,
		analog_input1_batch_phase
		*/
  }
}

MENU Page_diagnosis_function1_block_object
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_phys_block_object];
  ITEMS
  {
		analog_input1_blk_reserve,
		analog_input1_blk_object,
		analog_input1_blk_parent_class,
		analog_input1_blk_class,
		analog_input1_blk_dd_reference,
		analog_input1_blk_dd_rev,
		analog_input1_blk_profile,
		analog_input1_blk_profile_rev,
		analog_input1_blk_execution_time,
		analog_input1_blk_num_parameters,
		analog_input1_blk_index_view_1,
		analog_input1_blk_num_view_lists
  }
}


MENU Page_diagnosis_function1_block
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_phys_block];
  ITEMS
  {
		analog_input1_batch_id, 
		analog_input1_batch_unit,
		analog_input1_batch_operation, 
		analog_input1_batch_phase,
		//SEPARATOR,
		analog_input1_out_unit, 
		analog_input1_out_value,
		analog_input1_out_status_quality,
		analog_input1_out_status_limit,	
		//SEPARATOR,
		analog_input1_pv_upper_range_value, 
		analog_input1_pv_lower_range_value,
		analog_input1_out_upper_range_value,	
		analog_input1_out_lower_range_value,
		analog_input1_out_decimal_point,
		analog_input1_lin_type,
		analog_input1_channel,
		analog_input1_pv_ftime,
		analog_input1_FSafeType,
		analog_input1_FSafeValue,
		Page_diagnosis_function1_block_limit_check,
		Page_diagnosis_function1_block_simulation
  }
}

MENU Page_diagnosis_function1_block_simulation
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_block_simulation];
	ITEMS
	{
		analog_input1_simulate_status_quality,
		analog_input1_simulate_status_limit,
		analog_input1_simulate_value, 
		analog_input1_simulation_enabled
	}
}


MENU Page_diagnosis_function1_block_limit_check
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_block_limit_check];
  ITEMS
  {
		analog_input1_alarm_hys,
		analog_input1_hi_hi_lim,
		analog_input1_hi_lim,
		analog_input1_lo_lim,
		analog_input1_lo_lo_lim,
		Page_diagnosis_function1_block_hi_hi,
		Page_diagnosis_function1_block_hi,
		Page_diagnosis_function1_block_lo,
		Page_diagnosis_function1_block_lo_lo
  }
}

MENU Page_diagnosis_function1_block_hi_hi
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_block_hi_hi];
	ITEMS
	{
		analog_input1_hi_hi_alm_unacknowledged, 
		analog_input1_hi_hi_alm_state,
		analog_input1_hi_hi_alm_time_stamp, 
		analog_input1_hi_hi_alm_subcode,
		analog_input1_hi_hi_alm_value
	}
}

MENU Page_diagnosis_function1_block_hi
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_block_hi];
	ITEMS
	{
		analog_input1_hi_alm_unacknowledged, 
		analog_input1_hi_alm_state,
		analog_input1_hi_alm_time_stamp, 
		analog_input1_hi_alm_subcode,
		analog_input1_hi_alm_value
	}
}

MENU Page_diagnosis_function1_block_lo
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_block_lo];
	ITEMS
	{
		analog_input1_lo_alm_unacknowledged, 
		analog_input1_lo_alm_state,
		analog_input1_lo_alm_time_stamp, 
		analog_input1_lo_alm_subcode,
		analog_input1_lo_alm_value
	}
}

MENU Page_diagnosis_function1_block_lo_lo
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_block_lo_lo];
	ITEMS
	{
		analog_input1_lo_lo_alm_unacknowledged, 
		analog_input1_lo_lo_alm_state,
		analog_input1_lo_lo_alm_time_stamp, 
		analog_input1_lo_lo_alm_subcode,
		analog_input1_lo_lo_alm_value
	}
}
