//******************************************************************************
//****	VH-Matrix MENU    ******************************************************
//******************************************************************************

MENU Page_diagnosis_manufact_specific
{
	CW_access_for_onlinemenus
  //LABEL	[lbl_Page_diagnosis_manufact_specific];
  LABEL [menu_table_EH_Std_Matrix];
  ITEMS
  {
		Page_diagnosis_MainParam,
		Page_diagnosis_DeviceState,
		Page_diagnosis_CalibData,
#ifdef DEVICE_PARAM_PH
		Page_diagnosis_TopcCal,
#endif
#ifdef DEVICE_PARAM_LF
		Page_diagnosis_ParamSet,
#endif
		Page_diagnosis_ChemoClean,
		Page_diagnosis_Controller,
		Page_diagnosis_LimitSwitch,
#ifdef DEVICE_PARAM_PH
		Page_diagnosis_Validate,
#endif
		Page_diagnosis_SensorData,
		Page_diagnosis_DeviceData
  }
}

MENU Page_diagnosis_MainParam
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_MainParam];
  ITEMS
  {
		manufact_Unit_CH1,
		manufact_MeasValue_CH1,
		manufact_Temp_CH1,
		//SEPARATOR,
		manufact_Unit_CH2,
		manufact_MeasValue_CH2,
		manufact_Temp_CH2,
		//SEPARATOR,
		manufact_Unit_Temp,
		manufact_Hold_State,
		manufact_Damping_MeasVal,
		manufact_Damping_Temp
  }
}

MENU Page_diagnosis_DeviceState
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_DeviceState];
  ITEMS
  {
		manufact_Current_Error,
		manufact_Hold,
#ifdef DEVICE_PARAM_PH
		manufact_Device_Funct,
#endif
		method_manufact_Reset,
		phys_pa_set_unit_to_bus_online
  }
}

MENU Page_diagnosis_CalibData
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_CalibData];
  ITEMS
  {
#ifdef DEVICE_PARAM_PH
		manufact_Unit_Zeropoint_CH1,
		manufact_Zeropoint_CH1,
		manufact_Slope_CH1,
#endif
#ifdef DEVICE_PARAM_LF
		manufact_Sensor_Type,
		//SEPARATOR,
		manufact_Cell_Const_CH1,
		manufact_Adaption_Factor_CH1,
		manufact_Air_Set_CH1,
#endif
		manufact_Time_CH1,
		manufact_Date_CH1,
		//SEPARATOR,
#ifdef DEVICE_PARAM_PH
		manufact_Unit_Zeropoint_CH2,


		manufact_Zeropoint_CH2,
		manufact_Slope_CH2,
#endif
#ifdef DEVICE_PARAM_LF
		manufact_Cell_Const_CH2,
		manufact_Adaption_Factor_CH2,
		manufact_Air_Set_CH2,
#endif
		manufact_Time_CH2,
		manufact_Date_CH2
  }
}

MENU Page_diagnosis_TopcCal
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_TopcCal];
	ITEMS
	{
		//manufact_Device_Funct, //thbe
		manufact_Active_Program,
		manufact_Automatic,
		manufact_Extern_Control,
		manufact_Topcal_Hold,
		manufact_Armatur_Position
	}
#ifndef SHOWALLMENUS
	//#tb bug #2732 #ifndef _PDM_
	VALIDITY
		IF (manufact_Device_Funct <= DEVICE_FUNCT_TOPCLEAN) { TRUE;}
		ELSE { FALSE;}
	//#endif
#endif
}

#ifdef _PDM_
MENU TopcCal_fake
{
	CW_access_for_onlinemenus
	LABEL	"Device doesn't support TopCal/TopClean|de|Gert untersttzt nicht TopCal/TopClean";
	ITEMS
	{	
	}
}
#endif

MENU Page_diagnosis_ParamSet
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_ParamSet];
  ITEMS
  {
		manufact_CurrentPS,
		manufact_NumberBinInputs,
		manufact_ControlBinInput
  }
}

MENU Page_diagnosis_ChemoClean
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_ChemoClean];
  ITEMS
  {
		manufact_Active_Program_CClean,
		manufact_Automatic_CClean,
		manufact_Extern_Control_CClean
  }
}

MENU Page_diagnosis_Controller
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_Controller];
  ITEMS
  {
		manufact_Controller,
		manufact_Contr_Unit_Setpoint,
		manufact_Contr_Setpoint,
		manufact_Contr_Set_Value
		manufact_Hold,
		manufact_Hold_State
  }
}

MENU Page_diagnosis_LimitSwitch
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_LimitSwitch];
  ITEMS
  {
		Page_diagnosis_LimitSwitch1,
		Page_diagnosis_LimitSwitch2,
		Page_diagnosis_LimitSwitch3,
		Page_diagnosis_LimitSwitch4,
		Page_diagnosis_LimitSwitch5
  }
}

MENU Page_diagnosis_LimitSwitch1
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_LimitSwitch1];
  ITEMS
  {
		manufact_LS1_function,
		manufact_LS1_unit,
		manufact_LS1_alarm_threshold,
		manufact_LS1_switch_off_pnt,
		manufact_LS1_switch_on_pnt
  }
}

MENU Page_diagnosis_LimitSwitch2
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_LimitSwitch2];
  ITEMS
  {
		manufact_LS2_function,
		manufact_LS2_unit,
		manufact_LS2_alarm_threshold,
		manufact_LS2_switch_off_pnt,
		manufact_LS2_switch_on_pnt
  }
}

MENU Page_diagnosis_LimitSwitch3
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_LimitSwitch3];
  ITEMS
  {
		manufact_LS3_function,
		manufact_LS3_unit,
		manufact_LS3_alarm_threshold,
		manufact_LS3_switch_off_pnt,
		manufact_LS3_switch_on_pnt
  }
}

MENU Page_diagnosis_LimitSwitch4
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_LimitSwitch4];
  ITEMS
  {
		manufact_LS4_function,
		manufact_LS4_unit,
		manufact_LS4_alarm_threshold,
		manufact_LS4_switch_off_pnt,
		manufact_LS4_switch_on_pnt
  }
}

MENU Page_diagnosis_LimitSwitch5
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_LimitSwitch5];
  ITEMS
  {
		manufact_LS5_function,
		manufact_LS5_unit,
		manufact_LS5_alarm_threshold,
		manufact_LS5_switch_off_pnt,
		manufact_LS5_switch_on_pnt
  }
}

MENU Page_diagnosis_Validate
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_Validate];
	ITEMS
	{
		Page_diagnosis_Buffer1,
		Page_diagnosis_Buffer2
	}
#ifndef SHOWALLMENUS
	#ifndef _PDM_
	VALIDITY
		IF (manufact_Device_Funct == DEVICE_FUNCT_TOPCAL) { TRUE;}
		ELSE { FALSE;}
	#else
	VALIDITY
		IF (manufact_Device_Funct == DEVICE_FUNCT_TOPCAL) { TRUE;}
		ELSE { FALSE;}
	#endif
#endif
}

MENU Page_diagnosis_Buffer1
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_Buffer1];
	ITEMS
	{
		//manufact_Device_Funct,	//thbe
		manufact_Val_Setpoint_Buffer_1,
		manufact_Val_Actual_value_Buffer_1,
		manufact_Val_Delta_Buffer_1,
		manufact_Val_Temp_Buffer_1,
		manufact_Val_Time_Buffer_1,
		manufact_Val_Date_Buffer_1
	}
}

MENU Page_diagnosis_Buffer2
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_Buffer2];
	ITEMS
	{
		manufact_Val_Setpoint_Buffer_2,
		manufact_Val_Actual_value_Buffer_2,
		manufact_Val_Delta_Buffer_2,
		manufact_Val_Temp_Buffer_2,
		manufact_Val_Time_Buffer_2,
		manufact_Val_Date_Buffer_2
	}
}

MENU Page_diagnosis_SensorData
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_SensorData];
  ITEMS
  {
		manufact_Sensor_Serial_No,
		manufact_Sensor_Lower_Limit,
#ifdef DEVICE_PARAM_PH
		manufact_Sensor_Upper_Limit
#endif
#ifdef DEVICE_PARAM_LF
		manufact_Sensor_Upper_Limit,
		manufact_Sensor_Type
#endif
  }
}

MENU Page_diagnosis_DeviceData
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_DeviceData];
  ITEMS
  {
		phys_tag_desc,
		//#tbxxx phys_device_bus_adress,
		manufact_SW_Version,
		manufact_HW_Version,
		//#tbxxx phys_ehc_actual_error,
		//#tbxxx phys_ehc_last_error,
		phys_pa_set_unit_to_bus_online //method_Set_Unit_To_Bus,
		method_Clear_Last_Error
  }
}
