


MENU Page_Profil
{
	CW_access_for_onlinemenus

#ifdef DEVICE_PARAM_PH
	LABEL [menu_table_sensor_pH];
#else
	LABEL [menu_table_sensor_conductive];
#endif

	ITEMS
	{
		Tab_s_ident_Online,
		Page_diagnosis_trans,
		Page_diagnosis_function,
		Tab_s_certificates_Online
	/*#tbxxx
		Page_diagnosis_general,
		Page_diagnosis_physical,
		Page_diagnosis_trans,
		Page_diagnosis_function
	*/
	}
}

Tab_s_certificates_Online LIKE MENU Tab_s_certificates
{
	REDEFINE ACCESS ONLINE;
}


/********		PB		**********************/

Tab_s_ident_Online LIKE MENU Tab_s_ident
{
	REDEFINE ACCESS ONLINE;

	REDEFINE ITEMS
	{
		Tab_s_ident_opunit_Online,
		Tab_s_ident_device_Online
	}
}

Tab_s_ident_opunit_Online LIKE MENU Tab_s_ident_opunit
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_ident_device_Online LIKE MENU Tab_s_ident_device
{
	REDEFINE ACCESS ONLINE;
}




/********		FB		**********************/

MENU Page_diagnosis_function
{
	CW_access_for_onlinemenus
	//#tb LABEL	[blk_block_object_FUNCTION];
	LABEL [menu_output];
	ITEMS
	{
		Tab_s_func1_Online,
		Tab_s_func2_Online,
		Tab_s_func3_Online,
		Tab_s_func4_Online
		  /*#tbxxx
		Page_diagnosis_function_1,
		Page_diagnosis_function_2,
		Page_diagnosis_function_3,
		Page_diagnosis_function_4
		*/
	}
}

/********		FB1		**********************/

Tab_s_func1_Online LIKE MENU Tab_s_func1
{
	REDEFINE ACCESS ONLINE;
	REDEFINE ITEMS
	{
		func1_AI_st_rev,

#ifdef FUNC1_TAG_IN_TABLE
		func1_AI_tag_desc,
#endif

#ifdef FUNC1_CHANNEL_LIST
		func1_AI_channel,
#endif

		func1_AI_out_unit,
#ifndef NO_func1_AI_out_unit_text
		func1_AI_out_unit_text,
#endif	
		func1_AI_pv_ftime,
		Tab_s_func1_batch,
		Tab_s_func1_pv_range,
		Tab_s_func1_outscale,
		Tab_s_func1_limits,
		Tab_s_func1_FSafe,
		Tab_s_func1_interface
	}
}

Tab_s_func1_batch_Online LIKE MENU Tab_s_func1_batch
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func1_pv_range_Online LIKE MENU Tab_s_func1_pv_range
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func1_outscale_Online LIKE MENU Tab_s_func1_outscale
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func1_limits_Online LIKE MENU Tab_s_func1_limits
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func1_FSafe_Online LIKE MENU Tab_s_func1_FSafe
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func1_interface_Online LIKE MENU Tab_s_func1_interface
{
	REDEFINE ACCESS ONLINE;
}


/********		FB2		**********************/

Tab_s_func2_Online LIKE MENU Tab_s_func2
{
	REDEFINE ACCESS ONLINE;
	REDEFINE ITEMS
	{
		func2_AI_st_rev,

#ifdef FUNC2_TAG_IN_TABLE
		func2_AI_tag_desc,
#endif

#ifdef FUNC2_CHANNEL_LIST
		func2_AI_channel,
#endif

		func2_AI_out_unit,
#ifndef NO_func2_AI_out_unit_text
		func2_AI_out_unit_text,
#endif	
		func2_AI_pv_ftime,
		Tab_s_func2_batch,
		Tab_s_func2_pv_range,
		Tab_s_func2_outscale,
		Tab_s_func2_limits,
		Tab_s_func2_FSafe,
		Tab_s_func2_interface
	}
}

Tab_s_func2_batch_Online LIKE MENU Tab_s_func2_batch
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func2_pv_range_Online LIKE MENU Tab_s_func2_pv_range
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func2_outscale_Online LIKE MENU Tab_s_func2_outscale
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func2_limits_Online LIKE MENU Tab_s_func2_limits
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func2_FSafe_Online LIKE MENU Tab_s_func2_FSafe
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func2_interface_Online LIKE MENU Tab_s_func2_interface
{
	REDEFINE ACCESS ONLINE;
}


/********		FB3		**********************/

Tab_s_func3_Online LIKE MENU Tab_s_func3
{
	REDEFINE ACCESS ONLINE;
	REDEFINE ITEMS
	{
		func3_AI_st_rev,

#ifdef FUNC3_TAG_IN_TABLE
		func3_AI_tag_desc,
#endif

#ifdef FUNC3_CHANNEL_LIST
		func3_AI_channel,
#endif

		func3_AI_out_unit,
#ifndef NO_func3_AI_out_unit_text
		func3_AI_out_unit_text,
#endif	
		func3_AI_pv_ftime,
		Tab_s_func3_batch,
		Tab_s_func3_pv_range,
		Tab_s_func3_outscale,
		Tab_s_func3_limits,
		Tab_s_func3_FSafe,
		Tab_s_func3_interface
	}
}

Tab_s_func3_batch_Online LIKE MENU Tab_s_func3_batch
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func3_pv_range_Online LIKE MENU Tab_s_func3_pv_range
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func3_outscale_Online LIKE MENU Tab_s_func3_outscale
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func3_limits_Online LIKE MENU Tab_s_func3_limits
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func3_FSafe_Online LIKE MENU Tab_s_func3_FSafe
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func3_interface_Online LIKE MENU Tab_s_func3_interface
{
	REDEFINE ACCESS ONLINE;
}


/********		FB4		**********************/

Tab_s_func4_Online LIKE MENU Tab_s_func4
{
	REDEFINE ACCESS ONLINE;
	REDEFINE ITEMS
	{
		func4_AI_st_rev,

#ifdef FUNC4_TAG_IN_TABLE
		func4_AI_tag_desc,
#endif

#ifdef FUNC4_CHANNEL_LIST
		func4_AI_channel,
#endif

		func4_AI_out_unit,
#ifndef NO_func4_AI_out_unit_text
		func4_AI_out_unit_text,
#endif	
		func4_AI_pv_ftime,
		Tab_s_func4_batch,
		Tab_s_func4_pv_range,
		Tab_s_func4_outscale,
		Tab_s_func4_limits,
		Tab_s_func4_FSafe,
		Tab_s_func4_interface
	}
}

Tab_s_func4_batch_Online LIKE MENU Tab_s_func4_batch
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func4_pv_range_Online LIKE MENU Tab_s_func4_pv_range
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func4_outscale_Online LIKE MENU Tab_s_func4_outscale
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func4_limits_Online LIKE MENU Tab_s_func4_limits
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func4_FSafe_Online LIKE MENU Tab_s_func4_FSafe
{
	REDEFINE ACCESS ONLINE;
}

Tab_s_func4_interface_Online LIKE MENU Tab_s_func4_interface
{
	REDEFINE ACCESS ONLINE;
}
