
//******************************************************************************
//****	AI 2 -BLOCK MENU      **************************************************
//******************************************************************************


MENU Off_Page_diagnosis_function_2
{
	#ifndef _PDM_
		ACCESS OFFLINE;
	#endif
  LABEL	[func2_AI];
  ITEMS
  {
		Off_Page_diagnosis_function2_standard,
		Off_Page_diagnosis_function2_block
  }
}

MENU Off_Page_diagnosis_function2_standard
{
	#ifndef _PDM_
		ACCESS OFFLINE;
	#endif
  LABEL	[lbl_Page_diagnosis_phys_standard];
  ITEMS
  {
		Off_Page_diagnosis_function2_block_object,
		analog_input2_st_rev,
		analog_input2_tag_desc,
		analog_input2_strategy,
		analog_input2_alert_key,
		analog_input2_target_mode,
//		analog_input2_actual_mode,
		analog_input2_permitted_mode,
		analog_input2_normal_mode
		/*
		analog_input2_current_state_alarm_sum,
		analog_input2_unacknowledged_state_alarm_sum,
		analog_input2_unreported_state_alarm_sum,
		analog_input2_disabled_state_alarm_sum
		*/
		/*thbe
		analog_input2_batch_id,
		analog_input2_batch_unit,
		analog_input2_batch_operation,
		analog_input2_batch_phase
		*/
  }
}

MENU Off_Page_diagnosis_function2_block_object
{
	#ifndef _PDM_
		ACCESS OFFLINE;
	#endif
  LABEL	[lbl_Page_diagnosis_phys_block_object];
  ITEMS
  {
		analog_input2_blk_reserve,
		analog_input2_blk_object,
		analog_input2_blk_parent_class,
		analog_input2_blk_class,
		analog_input2_blk_dd_reference,
		analog_input2_blk_dd_rev,
		analog_input2_blk_profile,
		analog_input2_blk_profile_rev,
		analog_input2_blk_execution_time,
		analog_input2_blk_num_parameters,
		analog_input2_blk_index_view_1,
		analog_input2_blk_num_view_lists
  }
}


MENU Off_Page_diagnosis_function2_block
{
	#ifndef _PDM_
		ACCESS OFFLINE;
	#endif
  LABEL	[lbl_Page_diagnosis_phys_block];
  ITEMS
  {
		analog_input2_batch_id, 
		analog_input2_batch_unit,
		analog_input2_batch_operation, 
		analog_input2_batch_phase,
		//SEPARATOR,
		analog_input2_out_unit, 
//		analog_input2_out_value,
//		analog_input2_out_status_quality,
//		analog_input2_out_status_limit,	
		//SEPARATOR,
		analog_input2_pv_upper_range_value, 
		analog_input2_pv_lower_range_value,
		analog_input2_out_upper_range_value,	
		analog_input2_out_lower_range_value,
		analog_input2_out_decimal_point,
		analog_input2_lin_type,
		analog_input2_channel,
		analog_input2_pv_ftime,
		analog_input2_FSafeType,
		analog_input2_FSafeValue,
		Off_Page_diagnosis_function2_block_limit_check,
//#tb		Off_Page_diagnosis_function2_block_simulation
  }
}

/* #tb
MENU Off_Page_diagnosis_function2_block_simulation
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_block_simulation];
	ITEMS
	{
		analog_input2_simulate_status_quality,
		analog_input2_simulate_status_limit,
		analog_input2_simulate_value, 
		analog_input2_simulation_enabled
	}
}
*/

MENU Off_Page_diagnosis_function2_block_limit_check
{
	#ifndef _PDM_
		ACCESS OFFLINE;
	#endif
  LABEL	[lbl_Page_diagnosis_block_limit_check];
  ITEMS
  {
		analog_input2_alarm_hys,
		analog_input2_hi_hi_lim,
		analog_input2_hi_lim,
		analog_input2_lo_lim,
		analog_input2_lo_lo_lim
		/*
		Off_Page_diagnosis_function2_block_hi_hi,
		Off_Page_diagnosis_function2_block_hi,
		Off_Page_diagnosis_function2_block_lo,
		Off_Page_diagnosis_function2_block_lo_lo
		*/
  }
}

/*
MENU Off_Page_diagnosis_function2_block_hi_hi
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_block_hi_hi];
	ITEMS
	{
		analog_input2_hi_hi_alm_unacknowledged, 
		analog_input2_hi_hi_alm_state,
		analog_input2_hi_hi_alm_time_stamp, 
		analog_input2_hi_hi_alm_subcode,
		analog_input2_hi_hi_alm_value
	}
}

MENU Off_Page_diagnosis_function2_block_hi
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_block_hi];
	ITEMS
	{
		analog_input2_hi_alm_unacknowledged, 
		analog_input2_hi_alm_state,
		analog_input2_hi_alm_time_stamp, 
		analog_input2_hi_alm_subcode,
		analog_input2_hi_alm_value
	}
}

MENU Off_Page_diagnosis_function2_block_lo
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_block_lo];
	ITEMS
	{
		analog_input2_lo_alm_unacknowledged, 
		analog_input2_lo_alm_state,
		analog_input2_lo_alm_time_stamp, 
		analog_input2_lo_alm_subcode,
		analog_input2_lo_alm_value
	}
}

MENU Off_Page_diagnosis_function2_block_lo_lo
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_block_lo_lo];
	ITEMS
	{
		analog_input2_lo_lo_alm_unacknowledged, 
		analog_input2_lo_lo_alm_state,
		analog_input2_lo_lo_alm_time_stamp, 
		analog_input2_lo_lo_alm_subcode,
		analog_input2_lo_lo_alm_value
	}
}
*/