
//******************************************************************************
//****	AI 3 -BLOCK MENU      **************************************************
//******************************************************************************


MENU Page_diagnosis_function_3
{
	CW_access_for_onlinemenus
  LABEL	[func3_AI];
  ITEMS
  {
		Page_diagnosis_function3_standard,
		Page_diagnosis_function3_block
  }
}

MENU Page_diagnosis_function3_standard
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_phys_standard];
  ITEMS
  {
		Page_diagnosis_function3_block_object,
		analog_input3_st_rev,
		analog_input3_tag_desc,
		analog_input3_strategy,
		analog_input3_alert_key,
		analog_input3_target_mode,
		analog_input3_actual_mode,
		analog_input3_permitted_mode,
		analog_input3_normal_mode,
		analog_input3_current_state_alarm_sum,
		analog_input3_unacknowledged_state_alarm_sum,
		analog_input3_unreported_state_alarm_sum,
		analog_input3_disabled_state_alarm_sum
		/*
		analog_input3_batch_id,
		analog_input3_batch_unit,
		analog_input3_batch_operation,
		analog_input3_batch_phase
		*/
  }
}

MENU Page_diagnosis_function3_block_object
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_phys_block_object];
  ITEMS
  {
		analog_input3_blk_reserve,
		analog_input3_blk_object,
		analog_input3_blk_parent_class,
		analog_input3_blk_class,
		analog_input3_blk_dd_reference,
		analog_input3_blk_dd_rev,
		analog_input3_blk_profile,
		analog_input3_blk_profile_rev,
		analog_input3_blk_execution_time,
		analog_input3_blk_num_parameters,
		analog_input3_blk_index_view_1,
		analog_input3_blk_num_view_lists
  }
}


MENU Page_diagnosis_function3_block
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_phys_block];
  ITEMS
  {
		analog_input3_batch_id, 
		analog_input3_batch_unit,
		analog_input3_batch_operation, 
		analog_input3_batch_phase,
		//SEPARATOR,
		analog_input3_out_unit, 
		analog_input3_out_value,
		analog_input3_out_status_quality,
		analog_input3_out_status_limit,	
		//SEPARATOR,
		analog_input3_pv_upper_range_value, 
		analog_input3_pv_lower_range_value,
		analog_input3_out_upper_range_value,	
		analog_input3_out_lower_range_value,
		analog_input3_out_decimal_point,
		analog_input3_lin_type,
		analog_input3_channel,
		analog_input3_pv_ftime,
		analog_input3_FSafeType,
		analog_input3_FSafeValue,
		Page_diagnosis_function3_block_limit_check,
		Page_diagnosis_function3_block_simulation
  }
}

MENU Page_diagnosis_function3_block_simulation
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_block_simulation];
	ITEMS
	{
		analog_input3_simulate_status_quality,
		analog_input3_simulate_status_limit,
		analog_input3_simulate_value, 
		analog_input3_simulation_enabled
	}
}

MENU Page_diagnosis_function3_block_limit_check
{
	CW_access_for_onlinemenus
  LABEL	[lbl_Page_diagnosis_block_limit_check];
  ITEMS
  {
		analog_input3_alarm_hys,
		analog_input3_hi_hi_lim,
		analog_input3_hi_lim,
		analog_input3_lo_lim,
		analog_input3_lo_lo_lim,
		Page_diagnosis_function3_block_hi_hi,
		Page_diagnosis_function3_block_hi,
		Page_diagnosis_function3_block_lo,
		Page_diagnosis_function3_block_lo_lo
  }
}

MENU Page_diagnosis_function3_block_hi_hi
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_block_hi_hi];
	ITEMS
	{
		analog_input3_hi_hi_alm_unacknowledged, 
		analog_input3_hi_hi_alm_state,
		analog_input3_hi_hi_alm_time_stamp, 
		analog_input3_hi_hi_alm_subcode,
		analog_input3_hi_hi_alm_value
	}
}

MENU Page_diagnosis_function3_block_hi
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_block_hi];
	ITEMS
	{
		analog_input3_hi_alm_unacknowledged, 
		analog_input3_hi_alm_state,
		analog_input3_hi_alm_time_stamp, 
		analog_input3_hi_alm_subcode,
		analog_input3_hi_alm_value
	}
}

MENU Page_diagnosis_function3_block_lo
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_block_lo];
	ITEMS
	{
		analog_input3_lo_alm_unacknowledged, 
		analog_input3_lo_alm_state,
		analog_input3_lo_alm_time_stamp, 
		analog_input3_lo_alm_subcode,
		analog_input3_lo_alm_value
	}
}

MENU Page_diagnosis_function3_block_lo_lo
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_block_lo_lo];
	ITEMS
	{
		analog_input3_lo_lo_alm_unacknowledged, 
		analog_input3_lo_lo_alm_state,
		analog_input3_lo_lo_alm_time_stamp, 
		analog_input3_lo_lo_alm_subcode,
		analog_input3_lo_lo_alm_value
	}
}
