
//******************************************************************************
//****	AI 4 -BLOCK MENU      **************************************************
//******************************************************************************


MENU Off_Page_diagnosis_function_4
{
	#ifndef _PDM_
		ACCESS OFFLINE;
	#endif
  LABEL	[func4_AI];
  ITEMS
  {
		Off_Page_diagnosis_function4_standard,
		Off_Page_diagnosis_function4_block
  }
}

MENU Off_Page_diagnosis_function4_standard
{
	#ifndef _PDM_
		ACCESS OFFLINE;
	#endif
  LABEL	[lbl_Page_diagnosis_phys_standard];
  ITEMS
  {
		Off_Page_diagnosis_function4_block_object,
		analog_input4_st_rev,
		analog_input4_tag_desc,
		analog_input4_strategy,
		analog_input4_alert_key,
		analog_input4_target_mode,
//		analog_input4_actual_mode,
		analog_input4_permitted_mode,
		analog_input4_normal_mode
		/*
		analog_input4_current_state_alarm_sum,
		analog_input4_unacknowledged_state_alarm_sum,
		analog_input4_unreported_state_alarm_sum,
		analog_input4_disabled_state_alarm_sum
		*/
		/*thbe
		analog_input4_batch_id,
		analog_input4_batch_unit,
		analog_input4_batch_operation,
		analog_input4_batch_phase
		*/
  }
}

MENU Off_Page_diagnosis_function4_block_object
{
	#ifndef _PDM_
		ACCESS OFFLINE;
	#endif
  LABEL	[lbl_Page_diagnosis_phys_block_object];
  ITEMS
  {
		analog_input4_blk_reserve,
		analog_input4_blk_object,
		analog_input4_blk_parent_class,
		analog_input4_blk_class,
		analog_input4_blk_dd_reference,
		analog_input4_blk_dd_rev,
		analog_input4_blk_profile,
		analog_input4_blk_profile_rev,
		analog_input4_blk_execution_time,
		analog_input4_blk_num_parameters,
		analog_input4_blk_index_view_1,
		analog_input4_blk_num_view_lists
  }
}


MENU Off_Page_diagnosis_function4_block
{
	#ifndef _PDM_
	ACCESS OFFLINE;
	#endif
  LABEL	[lbl_Page_diagnosis_phys_block];
  ITEMS
  {
		analog_input4_batch_id, 
		analog_input4_batch_unit,
		analog_input4_batch_operation, 
		analog_input4_batch_phase,
		//SEPARATOR,
		analog_input4_out_unit, 
//		analog_input4_out_value,
//		analog_input4_out_status_quality,
//		analog_input4_out_status_limit,	
		//SEPARATOR,
		analog_input4_pv_upper_range_value, 
		analog_input4_pv_lower_range_value,
		analog_input4_out_upper_range_value,	
		analog_input4_out_lower_range_value,
		analog_input4_out_decimal_point,
		analog_input4_lin_type,
		analog_input4_channel,
		analog_input4_pv_ftime,
		analog_input4_FSafeType,
		analog_input4_FSafeValue,
		Off_Page_diagnosis_function4_block_limit_check,
//#tb		Off_Page_diagnosis_function4_block_simulation
  }
}

/* #tb
MENU Off_Page_diagnosis_function4_block_simulation
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_block_simulation];
	ITEMS
	{
		analog_input4_simulate_status_quality,
		analog_input4_simulate_status_limit,
		analog_input4_simulate_value, 
		analog_input4_simulation_enabled
	}
}
*/

MENU Off_Page_diagnosis_function4_block_limit_check
{
	#ifndef _PDM_
	ACCESS OFFLINE;
	#endif
  LABEL	[lbl_Page_diagnosis_block_limit_check];
  ITEMS
  {
		analog_input4_alarm_hys,
		analog_input4_hi_hi_lim,
		analog_input4_hi_lim,
		analog_input4_lo_lim,
		analog_input4_lo_lo_lim
		/*
		Off_Page_diagnosis_function4_block_hi_hi,
		Off_Page_diagnosis_function4_block_hi,
		Off_Page_diagnosis_function4_block_lo,
		Off_Page_diagnosis_function4_block_lo_lo
		*/
  }
}

/*
MENU Off_Page_diagnosis_function4_block_hi_hi
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_block_hi_hi];
	ITEMS
	{
		analog_input4_hi_hi_alm_unacknowledged, 
		analog_input4_hi_hi_alm_state,
		analog_input4_hi_hi_alm_time_stamp, 
		analog_input4_hi_hi_alm_subcode,
		analog_input4_hi_hi_alm_value
	}
}

MENU Off_Page_diagnosis_function4_block_hi
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_block_hi];
	ITEMS
	{
		analog_input4_hi_alm_unacknowledged, 
		analog_input4_hi_alm_state,
		analog_input4_hi_alm_time_stamp, 
		analog_input4_hi_alm_subcode,
		analog_input4_hi_alm_value
	}
}

MENU Off_Page_diagnosis_function4_block_lo
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_block_lo];
	ITEMS
	{
		analog_input4_lo_alm_unacknowledged, 
		analog_input4_lo_alm_state,
		analog_input4_lo_alm_time_stamp, 
		analog_input4_lo_alm_subcode,
		analog_input4_lo_alm_value
	}
}

MENU Off_Page_diagnosis_function4_block_lo_lo
{
	ACCESS OFFLINE;
	LABEL	[lbl_Page_diagnosis_block_lo_lo];
	ITEMS
	{
		analog_input4_lo_lo_alm_unacknowledged, 
		analog_input4_lo_lo_alm_state,
		analog_input4_lo_lo_alm_time_stamp, 
		analog_input4_lo_lo_alm_subcode,
		analog_input4_lo_lo_alm_value
	}
}
*/