//******************************************************************************
//****	ONLINE-MENU for PDM Specialist *****************************************
//******************************************************************************

MENU Menu_Main_Specialist
{
	CW_access_for_onlinemenus
	LABEL		[main_menu];
	ITEMS
	{
		Menu_File,
		Menu_S_Device,
		Menu_S_View,
		Menu_Options,
		Menu_Help
	}
}


#ifdef _PDM8_
MENU device_root_menu
#else
MENU Menu_S_Device
#endif
{
	CW_access_for_onlinemenus
	LABEL		[menu_Device];
	ITEMS
	{
		std_NodeAddress,
		OnlineDialog_ident_number,
		SEPARATOR,
		std_LoadinDevice,
		std_LoadinPC,
		SEPARATOR,
		DTM_reset_menu
		Page_Simulation,
		SEPARATOR,
		Page_diagnosis_ChemoClean,
	//#tb bug #2732
	#ifdef DEVICE_PARAM_PH	
		IF (manufact_Device_Funct <= DEVICE_FUNCT_TOPCLEAN)
		{
			OnlineDialog_TopcCal,
		}
	#endif
	
		Page_diagnosis_Controller,
	//#tb bug #2733
	#ifdef DEVICE_PARAM_PH	
		IF (manufact_Device_Funct == DEVICE_FUNCT_TOPCAL)
		{
			OnlineDialog_Validate,
		}
	#endif
		method_Set_Unit_To_Bus,
		method_Clear_Last_Error
		SEPARATOR,
		//#tbnew method_manufact_Reset
		DTM_lock_menu
	}
}



MENU OnlineDialog_Validate
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_Validate];
	ITEMS
	{
		Page_diagnosis_Buffer1,
		Page_diagnosis_Buffer2
	}
}

MENU OnlineDialog_TopcCal
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_TopcCal];
	ITEMS
	{		
			Page_diagnosis_TopcCal
	}
}

METHOD read_Device_Funct
{
	CW_access_for_onlinemenus
	CLASS SERVICE;
	DEFINITION
	{
		ReadCommand(read_manufact_Device_Funct);
	}
}


METHOD std_LoadinDevice
{
	CW_access_for_onlinemenus
	CLASS SERVICE;
	LABEL		[menu_Device_LoadinDevice];
	DEFINITION
	{
	}
}

METHOD std_LoadinPC
{
	CW_access_for_onlinemenus
	CLASS SERVICE;
	LABEL		[menu_Device_LoadinPC];
	DEFINITION
	{
	}
}

#ifdef _PDM8_
MENU diagnostic_root_menu
#else
MENU Menu_S_View
#endif
{
	CW_access_for_onlinemenus
	LABEL		[menu_View];
	ITEMS
	{



		OnlineWindow_display,
		OnlineWindow_yt,
		//Menu_S_limitStates,
		//Page_TransducerBlocks,
		//Page_FunctionBlocks,
		Menu_S_alarm,
		//Page_diagnosis_DeviceState,

		OnlineWindow_diagnosis,
		SEPARATOR,
		std_Funktionsleiste,
		std_Statuszeile,
		SEPARATOR,
		std_Update
		//Page_S_state,
		//#tbnew Page_S_error,
		/*
		SEPARATOR,
		Page_diagnosis_general,
		Page_diagnosis_physical,
		Page_diagnosis_trans,
		Page_diagnosis_function,
		Page_diagnosis_manufact_specific
		*/
	}
}


//******************************************************************************
//****	Online-Windows  ********************************************************
//******************************************************************************

MENU Page_S_TopcCal
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_TopcCal];	
	ITEMS
	{
		Page_diagnosis_TopcCal
	}
}


MENU Page_S_state
{
	CW_access_for_onlinemenus
	LABEL	"State|de|Status";
	ITEMS
	{
		phys_device_state,
		phys_global_status,
		manufact_Hold_State,
		phys_HW_write_protection
  }
}



MENU Page_S_error
{
	CW_access_for_onlinemenus
	LABEL	"Errors|de|Fehler";
	ITEMS
	{
		Page_S_errorOverview,
		Page_diagnosis_erors 
  }
}


MENU Page_S_errorOverview
{
	CW_access_for_onlinemenus
	LABEL	"Error overview|de|Fehlerbersicht";
	ITEMS
	{
		phys_diagnosis,
		manufact_Current_Error,
		phys_ehc_actual_error,
		//phys_ehc_last_error, //same as above
		method_Clear_Last_Error
  }
}


/*tb debug
MENU Menu_S_alarm
{
	CW_access_for_onlinemenus
	LABEL	[menu_dialog_alarm];
	ITEMS
	{
		ON_S_alarm_physical,
		ON_S_alarm_tb,
		ON_S_alarm_ai,
  }
}
*/

MENU ON_S_alarm_physical
{
	CW_access_for_onlinemenus
	LABEL	"Physical block";
	ITEMS
	{
		phys_current_state_alarm_sum,
		phys_unacknowledged_state_alarm_sum,
		phys_unreported_state_alarm_sum,
		phys_disabled_state_alarm_sum
	}
}

MENU ON_S_alarm_tb
{
	CW_access_for_onlinemenus
	LABEL	"Transducer blocks";
	ITEMS
	{
		ON_S_alarm_tb1,
		ON_S_alarm_tb2,
		ON_S_alarm_tb3,
		ON_S_alarm_tb4
	}
}


MENU ON_S_alarm_tb1
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 1";
	ITEMS
	{
		trans1_current_state_alarm_sum,
		trans1_unacknowledged_state_alarm_sum,
		trans1_unreported_state_alarm_sum,
		trans1_disabled_state_alarm_sum
	}
}

MENU ON_S_alarm_tb2
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 2";
	ITEMS
	{
		trans2_current_state_alarm_sum,
		trans2_unacknowledged_state_alarm_sum,
		trans2_unreported_state_alarm_sum,
		trans2_disabled_state_alarm_sum
	}
}

MENU ON_S_alarm_tb3
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 3";
	ITEMS
	{
		trans3_current_state_alarm_sum,
		trans3_unacknowledged_state_alarm_sum,
		trans3_unreported_state_alarm_sum,
		trans3_disabled_state_alarm_sum
	}
}

MENU ON_S_alarm_tb4
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 4";
	ITEMS
	{
		trans4_current_state_alarm_sum,
		trans4_unacknowledged_state_alarm_sum,
		trans4_unreported_state_alarm_sum,
		trans4_disabled_state_alarm_sum
	}
}


MENU ON_S_alarm_ai
{
	CW_access_for_onlinemenus
	LABEL	"Analog input blocks";
	ITEMS
	{
		ON_S_alarm_ai1,
		ON_S_alarm_ai2,
		ON_S_alarm_ai3,
		ON_S_alarm_ai4
	}
}

MENU ON_S_alarm_ai1
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 1";
	ITEMS
	{
		analog_input1_current_state_alarm_sum,
		analog_input1_unacknowledged_state_alarm_sum,
		analog_input1_unreported_state_alarm_sum,
		analog_input1_disabled_state_alarm_sum
	}
}

MENU ON_S_alarm_ai2
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 2";
	ITEMS
	{
		analog_input2_current_state_alarm_sum,
		analog_input2_unacknowledged_state_alarm_sum,
		analog_input2_unreported_state_alarm_sum,
		analog_input2_disabled_state_alarm_sum
	}
}

MENU ON_S_alarm_ai3
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 3";
	ITEMS
	{
		analog_input3_current_state_alarm_sum,
		analog_input3_unacknowledged_state_alarm_sum,
		analog_input3_unreported_state_alarm_sum,
		analog_input3_disabled_state_alarm_sum
	}
}

MENU ON_S_alarm_ai4
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 4";
	ITEMS
	{
		analog_input4_current_state_alarm_sum,
		analog_input4_unacknowledged_state_alarm_sum,
		analog_input4_unreported_state_alarm_sum,
		analog_input4_disabled_state_alarm_sum
	}
}


MENU Menu_S_limitStates
{
	CW_access_for_onlinemenus
	LABEL	"Limit states|de|Grenzwertzustnde";
	ITEMS
	{
		ON_S_limitState_ai1,
		ON_S_limitState_ai2,
		ON_S_limitState_ai3,
		ON_S_limitState_ai4
  }
}


MENU ON_S_limitState_ai1
{
	CW_access_for_onlinemenus
	LABEL	"Limit states AI1|de|Grenzwertstatus AI1";
	ITEMS
	{
		Page_diagnosis_function1_block_hi_hi,
		Page_diagnosis_function1_block_hi,
		Page_diagnosis_function1_block_lo,
		Page_diagnosis_function1_block_lo_lo
	}
}

MENU ON_S_limitState_ai2
{
	CW_access_for_onlinemenus
	LABEL	"Limit states AI2|de|Grenzwertstatus AI2";
	ITEMS
	{
		Page_diagnosis_function2_block_hi_hi,
		Page_diagnosis_function2_block_hi,
		Page_diagnosis_function2_block_lo,
		Page_diagnosis_function2_block_lo_lo
	}
}

MENU ON_S_limitState_ai3
{
	CW_access_for_onlinemenus
	LABEL	"Limit states AI3|de|Grenzwertstatus AI3";
	ITEMS
	{
		Page_diagnosis_function3_block_hi_hi,
		Page_diagnosis_function3_block_hi,
		Page_diagnosis_function3_block_lo,
		Page_diagnosis_function3_block_lo_lo
	}
}

MENU ON_S_limitState_ai4
{
	CW_access_for_onlinemenus
	LABEL	"Limit states AI4|de|Grenzwertstatus AI4";
	ITEMS
	{
		Page_diagnosis_function4_block_hi_hi,
		Page_diagnosis_function4_block_hi,
		Page_diagnosis_function4_block_lo,
		Page_diagnosis_function4_block_lo_lo
	}
}


MENU Page_TransducerBlocks
{
	CW_access_for_onlinemenus
	LABEL	"Transducer blocks";
	ITEMS
	{
		Page_TransducerBlock1,
		Page_TransducerBlock2,
		Page_TransducerBlock3,
		Page_TransducerBlock4
	}
}


MENU Page_TransducerBlock1
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 1";
	ITEMS
	{
		trans1_pv_meas_value,
		trans1_pv_meas_status_quality,
		trans1_pv_meas_status_limits,
		trans1_pv_meas_date
	}
}

MENU Page_TransducerBlock2
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 2";
	ITEMS
	{
		trans2_pv_meas_value,
		trans2_pv_meas_status_quality,
		trans2_pv_meas_status_limits,
		trans2_pv_meas_date
	}
}

MENU Page_TransducerBlock3
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 3";
	ITEMS
	{
		trans3_pv_meas_value,
		trans3_pv_meas_status_quality,
		trans3_pv_meas_status_limits,
		trans3_pv_meas_date
	}
}

MENU Page_TransducerBlock4
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 4";
	ITEMS
	{
		trans4_pv_meas_value,
		trans4_pv_meas_status_quality,
		trans4_pv_meas_status_limits,
		trans4_pv_meas_date
	}
}



MENU Page_FunctionBlocks
{
	CW_access_for_onlinemenus
	LABEL	"Function blocks";
	ITEMS
	{
		Page_FunctionBlock1,
		Page_FunctionBlock2,
		Page_FunctionBlock3,
		Page_FunctionBlock4
	}
}

MENU Page_FunctionBlock1
{
	CW_access_for_onlinemenus
	LABEL	"Analog input block 1";
	ITEMS
	{
		analog_input1_out_value,
		analog_input1_out_status_quality,
		analog_input1_out_status_limit
	}
}

MENU Page_FunctionBlock2
{
	CW_access_for_onlinemenus
	LABEL	"Analog input block 2";
	ITEMS
	{
		analog_input2_out_value,
		analog_input2_out_status_quality,
		analog_input2_out_status_limit
	}
}

MENU Page_FunctionBlock3
{
	CW_access_for_onlinemenus
	LABEL	"Analog input block 3";
	ITEMS
	{
		analog_input3_out_value,
		analog_input3_out_status_quality,
		analog_input3_out_status_limit
	}
}

MENU Page_FunctionBlock4
{
	CW_access_for_onlinemenus
	LABEL	"Analog input block 4";
	ITEMS
	{
		analog_input4_out_value,
		analog_input4_out_status_quality,
		analog_input4_out_status_limit
	}
}

MENU Page_Simulation
{
	CW_access_for_onlinemenus
	LABEL	"Simulation";
	ITEMS
	{
	/* #tb debug
		Page_Simulation_ai1,
		Page_Simulation_ai2,
		Page_Simulation_ai3,
		Page_Simulation_ai4
		*/
		OnlineDialog_simulation_func1,
		OnlineDialog_simulation_func2,
		OnlineDialog_simulation_func3,
		OnlineDialog_simulation_func4
	}
}

MENU Page_Simulation_ai1
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 1";
	ITEMS
	{
		analog_input1_simulation_enabled,
		analog_input1_simulate_status_quality,
		analog_input1_simulate_status_limit,
		analog_input1_simulate_value
	}
}

MENU Page_Simulation_ai2
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 2";
	ITEMS
	{
		analog_input2_simulation_enabled,
		analog_input2_simulate_status_quality,
		analog_input2_simulate_status_limit,
		analog_input2_simulate_value
	}
}

MENU Page_Simulation_ai3
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 3";
	ITEMS
	{
		analog_input3_simulation_enabled,
		analog_input3_simulate_status_quality,
		analog_input3_simulate_status_limit,
		analog_input3_simulate_value
	}
}

MENU Page_Simulation_ai4
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 4";
	ITEMS
	{
		analog_input4_simulation_enabled,
		analog_input4_simulate_status_quality,
		analog_input4_simulate_status_limit,
		analog_input4_simulate_value
	}
}

//##################################################
//###		Messwerte
//##################################################

MENU OnlineWindow_display
{
	CW_access_for_onlinemenus
	LABEL	"Measured values|de|Mewerte";
	ITEMS
	{
		Page_MeasuredValues,
		Page_func1_out_display,
		Page_func2_out_display,
		Page_func3_out_display,
		Page_func4_out_display
		//Page_display_out_controller

		/*
		manufact_Unit_CH1,
		manufact_MeasValue_CH1,
		manufact_Temp_CH1,
		SEPARATOR,
		manufact_Unit_CH2,
		manufact_MeasValue_CH2,
		manufact_Temp_CH2,
		SEPARATOR,
		manufact_Unit_Temp,
		manufact_Hold_State,
		manufact_Damping_MeasVal,
		manufact_Damping_Temp
		*/
  }
}


MENU Page_MeasuredValues
{
	LABEL [lbl_measured_values];
	ITEMS
	{
		Group_display_out_CH1,		
		Group_display_out_CH2,
		manufact_Current_Error
		//OnlineDialog_display_out_controller
	}
}


//###### AI 1 ################################################
MENU Page_func1_out_display
{
        LABEL "AI1 analysis|de|AI1 Analyse";
        ITEMS
        {
                BarVal_func1_out_display,
                Group_display_func1_out,
                Group_display_func1_in
        }
}

MENU BarVal_func1_out_display
{
        LABEL [func_out_value];
        ITEMS
        {
                analog_input1_out_value,
                analog_input1_out_lower_range_value (READ_ONLY),
                analog_input1_out_upper_range_value (READ_ONLY)
        }
}


MENU Group_display_func1_out
{
        LABEL [menu_dialog_display_output] ;
        ITEMS
        {
            analog_input1_actual_mode,
			analog_input1_target_mode (READ_ONLY),
			analog_input1_out_status_quality (READ_ONLY),
            analog_input1_current_state_alarm_sum
        }
}



MENU Group_display_func1_in
{
        LABEL [menu_dialog_display_input] ;
        ITEMS
        {
			analog_input1_simulation_enabled (READ_ONLY),
			analog_input1_simulate_value (READ_ONLY), 
			analog_input1_simulate_status_quality (READ_ONLY),
			analog_input1_simulate_status_limit	 (READ_ONLY)
        }
}


//###### AI 2 ################################################
MENU Page_func2_out_display
{
        LABEL "AI2 temperature|de|AI2 Temperatur";
        ITEMS
        {
                BarVal_func2_out_display,
                Group_display_func2_out,
                Group_display_func2_in
        }
}

MENU BarVal_func2_out_display
{
        LABEL [func_out_value];
        ITEMS
        {
                analog_input2_out_value,
                analog_input2_out_lower_range_value (READ_ONLY),
                analog_input2_out_upper_range_value (READ_ONLY)
        }
}


MENU Group_display_func2_out
{
        LABEL [menu_dialog_display_output] ;
        ITEMS
        {
            analog_input2_actual_mode,
			analog_input2_target_mode (READ_ONLY),
			analog_input2_out_status_quality (READ_ONLY),
            analog_input2_current_state_alarm_sum
        }
}



MENU Group_display_func2_in
{
        LABEL [menu_dialog_display_input] ;
        ITEMS
        {
			analog_input2_simulation_enabled (READ_ONLY),
			analog_input2_simulate_value (READ_ONLY), 
			analog_input2_simulate_status_quality (READ_ONLY),
			analog_input2_simulate_status_limit	 (READ_ONLY)
        }
}

//###### AI 3 ################################################
MENU Page_func3_out_display
{
        LABEL "AI3 analysis|de|AI3 Analyse";
        ITEMS
        {
                BarVal_func3_out_display,
                Group_display_func3_out,
                Group_display_func3_in
        }
}

MENU BarVal_func3_out_display
{
        LABEL [func_out_value];
        ITEMS
        {
                analog_input3_out_value,
                analog_input3_out_lower_range_value (READ_ONLY),
                analog_input3_out_upper_range_value (READ_ONLY)
        }
}


MENU Group_display_func3_out
{
        LABEL [menu_dialog_display_output] ;
        ITEMS
        {
            analog_input3_actual_mode,
			analog_input3_target_mode (READ_ONLY),
			analog_input3_out_status_quality (READ_ONLY),
            analog_input3_current_state_alarm_sum
        }
}



MENU Group_display_func3_in
{
        LABEL [menu_dialog_display_input] ;
        ITEMS
        {
			analog_input3_simulation_enabled (READ_ONLY),
			analog_input3_simulate_value (READ_ONLY), 
			analog_input3_simulate_status_quality (READ_ONLY),
			analog_input3_simulate_status_limit	 (READ_ONLY)
        }
}

//###### AI 4 ################################################
MENU Page_func4_out_display
{
        LABEL "AI4 temperature|de|AI4 Temperatur";
        ITEMS
        {
                BarVal_func4_out_display,
                Group_display_func4_out,
                Group_display_func4_in
        }
}

MENU BarVal_func4_out_display
{
        LABEL [func_out_value];
        ITEMS
        {
                analog_input4_out_value,
                analog_input4_out_lower_range_value (READ_ONLY),
                analog_input4_out_upper_range_value (READ_ONLY)
        }
}


MENU Group_display_func4_out
{
        LABEL [menu_dialog_display_output] ;
        ITEMS
        {
            analog_input4_actual_mode,
			analog_input4_target_mode (READ_ONLY),
			analog_input4_out_status_quality (READ_ONLY),
            analog_input4_current_state_alarm_sum
        }
}



MENU Group_display_func4_in
{
        LABEL [menu_dialog_display_input] ;
        ITEMS
        {
			analog_input4_simulation_enabled (READ_ONLY),
			analog_input4_simulate_value (READ_ONLY), 
			analog_input4_simulate_status_quality (READ_ONLY),
			analog_input4_simulate_status_limit	 (READ_ONLY)
        }
}


//######
MENU Group_display_out_CH1
{
	CW_access_for_onlinemenus
	LABEL	"Channel 1|de|Kanal 1";
	ITEMS
	{
		BarVal_out_display_CH1,
		manufact_MeasValue_CH1	(READ_ONLY),
		manufact_Temp_CH1		(READ_ONLY)
	}
}

MENU BarVal_out_display_CH1
{
	CW_access_for_onlinemenus
	LABEL	"Value CH1|de|Wert CH1";
	ITEMS
	{
		manufact_MeasValue_CH1	(READ_ONLY),
		trans1_range_begin		(READ_ONLY),
		trans1_range_end		(READ_ONLY)
	}
}


MENU Group_display_out_CH2
{
  LABEL	"Channel 2|de|Kanal 2";
  ITEMS {
    BarVal_out_display_CH2,
    manufact_MeasValue_CH2	(READ_ONLY),
    manufact_Temp_CH2		(READ_ONLY)
  }
}

MENU BarVal_out_display_CH2
{
  LABEL	"Value CH2|de|Wert CH2";
  ITEMS {
    manufact_MeasValue_CH2	(READ_ONLY),
    trans3_range_begin		(READ_ONLY),
    trans3_range_end		(READ_ONLY)
  }
}


VARIABLE percent_0
{
	LABEL		"0 percent";	
	CLASS		LOCAL;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0; 
		//DISPLAY_FORMAT	"4.2f";
	}
	HANDLING READ;
}

VARIABLE percent_100
{
	LABEL		"100 percent";	
	CLASS		LOCAL;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	100; 
		//DISPLAY_FORMAT	"4.2f";
	}
	HANDLING READ;
}

MENU OnlineDialog_display_out_controller
{
	LABEL	[lbl_manufact_Controller];
	ITEMS
	{
		//BarVal_controller
		manufact_Contr_Set_Value
	}
}



MENU BarVal_controller
{
	LABEL	[lbl_manufact_Contr_Set_Value];
	ITEMS
	{
		manufact_Contr_Set_Value,
		percent_0,
		percent_100
	}
}

METHOD std_NodeAddress
{
	LABEL		[menu_Device_NodeAddress];
	DEFINITION
	{
	}
}

//******************************************************************************
//****	Trend
//******************************************************************************
MENU OnlineWindow_yt
{
	LABEL		[menu_yt_diagram] ;
	ITEMS
	{
			Page_process_yt
	}
}

MENU Page_process_yt
{
	LABEL		[menu_yt_diagram] ;
	ITEMS
	{
		//Val_yt1,
		//Val_yt2,
		//Val_yt3,
		//Val_yt4,
		OCX_out_display_yt
	}
}


MENU Val_yt1
{
    LABEL "";
	ITEMS
	{
		manufact_MeasValue_CH1(READ_ONLY)
	}
}

MENU Val_yt2
{
    LABEL "";
	ITEMS
	{
		manufact_Temp_CH1(READ_ONLY)
	}
}

MENU Val_yt3
{
    LABEL "";
	ITEMS
	{
		manufact_MeasValue_CH2(READ_ONLY)
	}
}
MENU Val_yt4
{
    LABEL "";
	ITEMS
	{
		manufact_Temp_CH2(READ_ONLY)
	}
}


/*#tb alt
#define YT1_VALUE manufact_MeasValue_CH1
#define YT1_LABEL [lbl_manufact_MeasValue_CH1]
#define YT1_LRV trans1_range_begin
#define YT1_URV trans1_range_end

#define YT2_VALUE manufact_Temp_CH1
#define YT2_LABEL [lbl_manufact_Temp_CH1]
#define YT2_LRV trans2_range_begin
#define YT2_URV trans2_range_end
*/


#define YT1_VALUE analog_input1_out_value
#define YT1_LABEL "AI analysis out ch1|de|AI Analyse Ausgang K1"
#define YT1_LRV analog_input1_out_lower_range_value
#define YT1_URV analog_input1_out_upper_range_value

#define YT2_VALUE analog_input2_out_value
#define YT2_LABEL "AI temperature out ch1|de|AI Temperatur Ausgang K1"
#define YT2_LRV analog_input2_out_lower_range_value
#define YT2_URV analog_input2_out_upper_range_value


#define YT3_VALUE analog_input3_out_value
#define YT3_LABEL "AI analysis out ch2|de|AI Analyse Ausgang K2"
#define YT3_LRV analog_input3_out_lower_range_value
#define YT3_URV analog_input3_out_upper_range_value

#define YT4_VALUE analog_input4_out_value
#define YT4_LABEL "AI temperature out ch2|de|AI Temperatur Ausgang K2"
#define YT4_LRV analog_input4_out_lower_range_value
#define YT4_URV analog_input4_out_upper_range_value

MENU OCX_out_display_yt								// OCX-Control
{
	LABEL		[menu_yt_diagram] ;
	HELP		[trendview_help] ;
	STYLE		"PDMTVPROXY.PDMTVProxyCtrl.1";		// Name, unter dem das OCX in Windows registriert ist
	ITEMS
	{
		OCX_ProfilNum_yt,							// Profil-Nummer
		OCX_out_display_1,							// 1. Kurve
		OCX_out_display_2,							// 2. Kurve
		OCX_out_display_3,							// 3. Kurve
		OCX_out_display_4,							// 4. Kurve
		OCX_UserSettings_yt		// Fr Speicherung von Settings, die vom Benutzer zur Laufzeit gendert wurden
	}
}


MENU OCX_out_display_1								// 1. Kurve im OCX-Control yt
{
    LABEL YT1_LABEL ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT1_VALUE	(READ_ONLY),
		YT1_LRV		(READ_ONLY),
		YT1_URV		(READ_ONLY)
	}
}

MENU OCX_out_display_2								// 2. Kurve im OCX-Control yt
{
    LABEL YT2_LABEL ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT2_VALUE	(READ_ONLY),
		YT2_LRV		(READ_ONLY),
		YT2_URV		(READ_ONLY)
	}
}

MENU OCX_out_display_3								// 3. Kurve im OCX-Control yt
{
    LABEL YT3_LABEL ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT3_VALUE	(READ_ONLY),
		YT3_LRV		(READ_ONLY),
		YT3_URV		(READ_ONLY)
	}
}

MENU OCX_out_display_4								// 4. Kurve im OCX-Control yt
{
    LABEL YT4_LABEL ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		YT4_VALUE	(READ_ONLY),
		YT4_LRV		(READ_ONLY),
		YT4_URV		(READ_ONLY)
	}
}

VARIABLE OCX_ProfilNum_yt							// Profil-Variable fr OCX yt
{
	LABEL		"ProfilID";
	STYLE		"OCX_PROPERTY";
	CLASS		LOCAL;
	TYPE		INTEGER(2)
	{
#ifdef _V510_
		DEFAULT_VALUE 1004 ;	// mit Farbwahl
#else
		DEFAULT_VALUE	0;		// Profil 0 fr normale y-t-Darstellung
#endif

	}
	HANDLING    READ;
}

VARIABLE OCX_UserSettings_yt		// Fr Speicherung von Settings, die vom Benutzer zur Laufzeit gendert wurden
{
	LABEL		"UserSettings";
	STYLE		"OCX_PROPERTY";
	CLASS		LOCAL;
	TYPE		ASCII (1000)
	{
		DEFAULT_VALUE	"";
	}
	HANDLING	READ & WRITE;
}

//##############################################################
//#####			diagnosis
//##############################################################
MENU OnlineWindow_diagnosis
{
	LABEL		[menu_dialog_diagnosis];
	ITEMS
	{
		Page_diagnosis_overview,
		Page_diagnosis_general,
		Page_diagnosis_phys_block,
		Page_diagnosis_trans1,
		Page_diagnosis_trans2,
		Page_diagnosis_trans3,
		Page_diagnosis_trans4,
		Page_diagnosis_func1,
		Page_diagnosis_func2,
		Page_diagnosis_func3,
		Page_diagnosis_func4
	}
}

MENU Page_diagnosis_overview
{
	LABEL	[menu_dialog_overview];
	ITEMS
	{
		trans1_actual_mode,
		trans1_actua2_mode,
		trans1_actua3_mode,
		trans1_actua4_mode,
		analog_input1_actual_mode,
		analog_input2_actual_mode,
		analog_input3_actual_mode,
		analog_input4_actual_mode
	}
}

MENU Page_diagnosis_general
{
	LABEL		[menu_dialog_general];
	ITEMS
	{
		phys_tag_desc			(READ_ONLY),
		phys_device_man_id,
		phys_device_id,
		phys_device_ser_num,
		phys_software_rev,
		phys_hardware_rev,
		phys_install_date		(READ_ONLY),

#ifndef NO_phys_write_locking
		phys_write_locking	(READ_ONLY),
#endif

		phys_diagnosis
	}
}

MENU Page_diagnosis_phys_block
{
	LABEL		[blk_block_object_PHYSICAL];
	ITEMS
	{
		phys_blk_object,
		phys_blk_parent_class,
		phys_blk_class,
		phys_blk_dd_reference,
		phys_blk_dd_rev,
		phys_blk_profile,
		phys_blk_profile_rev,
		phys_st_rev,
		phys_actual_mode
	}
}

/*
MENU Page_diagnosis_trans1
{
	LABEL		[trans1];
	ITEMS
	{
		trans1_blk_object,
		trans1_blk_parent_class,
		trans1_blk_class,
		trans1_blk_dd_reference,
		trans1_blk_dd_rev,
		trans1_blk_profile,
		trans1_blk_profile_rev,
		trans1_st_rev,
		trans1_actual_mode
	}
}
*/


//##########################################################
//########		alarm
//##########################################################

MENU Menu_S_alarm
{
	LABEL		[menu_dialog_alarm];
	ITEMS
	{
		OnlineWindow_S_alarm_func1,
		OnlineWindow_S_alarm_func2,
		OnlineWindow_S_alarm_func3,
		OnlineWindow_S_alarm_func4
	}
}

MENU OnlineWindow_S_alarm_func1
{
	LABEL		FUNC1_TITLE ;
	ITEMS
	{
		Page_alarm_overview_func1,
		Page_alarm_sum_func1,
		Page_alarm_hi_hi_alm_func1,
		Page_alarm_hi_alm_func1,
		Page_alarm_lo_alm_func1,
		Page_alarm_lo_lo_alm_func1
	}
}

MENU Page_alarm_overview_func1
{
	LABEL [menu_dialog_overview] ;
	HELP  [dialog_alarm_overview_help] ;
	ITEMS
	{
		analog_input1_hi_hi_lim (READ_ONLY),
		analog_input1_hi_lim (READ_ONLY),
		analog_input1_lo_lim (READ_ONLY),
		analog_input1_lo_lo_lim (READ_ONLY),
		SEPARATOR ,
		func1_blank.hi_hi_alm_state,
		func1_blank.hi_alm_state,
		func1_blank.lo_alm_state,	
		func1_blank.lo_lo_alm_state
		SEPARATOR ,
		func1_blank.hi_hi_alm_value,
		func1_blank.hi_alm_value,
		func1_blank.lo_alm_value,	
		func1_blank.lo_lo_alm_value
	}
}


MENU Page_alarm_hi_hi_alm_func1
{
	LABEL		[limit_hi_hi];
	ITEMS
	{
		analog_input1_hi_hi_alm_unacknowledged,
		analog_input1_hi_hi_alm_state,
		/* analog_input1_hi_hi_alm_time_stamp,		*/
		analog_input1_hi_hi_alm_subcode,
		analog_input1_hi_hi_lim				(READ_ONLY),
		analog_input1_hi_hi_alm_value
	}
}

MENU Page_alarm_hi_alm_func1
{
	LABEL		[limit_hi];
	ITEMS
	{
		analog_input1_hi_alm_unacknowledged,
		analog_input1_hi_alm_state,
		/* analog_input1_hi_alm_time_stamp,		*/
		analog_input1_hi_alm_subcode,
		analog_input1_hi_lim				(READ_ONLY),
		analog_input1_hi_alm_value
	}
}

MENU Page_alarm_lo_alm_func1
{
	LABEL		[limit_lo];
	ITEMS
	{
		analog_input1_lo_alm_unacknowledged,
		analog_input1_lo_alm_state,
		/* analog_input1_lo_alm_time_stamp,		*/
		analog_input1_lo_alm_subcode,
		analog_input1_lo_lim				(READ_ONLY),
		analog_input1_lo_alm_value
	}
}

MENU Page_alarm_lo_lo_alm_func1
{
	LABEL		[limit_lo_lo];
	ITEMS
	{
		analog_input1_lo_lo_alm_unacknowledged,
		analog_input1_lo_lo_alm_state,
		/* analog_input1_lo_lo_alm_time_stamp,		*/
		analog_input1_lo_lo_alm_subcode,
		analog_input1_lo_lo_lim				(READ_ONLY),
		analog_input1_lo_lo_alm_value
	}
}


MENU Page_alarm_sum_func1
{
	LABEL		[menu_dialog_alarm_sum];
	ITEMS
	{
	    analog_input1_current_state_alarm_sum,
		analog_input1_unacknowledged_state_alarm_sum,
		SEPARATOR ,
		analog_input1_unreported_state_alarm_sum,
		analog_input1_disabled_state_alarm_sum
	}
}










MENU Page_alarm_overview_func2
{
	LABEL [menu_dialog_overview] ;
	HELP  [dialog_alarm_overview_help] ;
	ITEMS
	{
		analog_input2_hi_hi_lim (READ_ONLY),
		analog_input2_hi_lim (READ_ONLY),
		analog_input2_lo_lim (READ_ONLY),
		analog_input2_lo_lo_lim (READ_ONLY),
		SEPARATOR ,
		func2_blank.hi_hi_alm_state,
		func2_blank.hi_alm_state,
		func2_blank.lo_alm_state,	
		func2_blank.lo_lo_alm_state
		SEPARATOR ,
		func2_blank.hi_hi_alm_value,
		func2_blank.hi_alm_value,
		func2_blank.lo_alm_value,	
		func2_blank.lo_lo_alm_value
	}
}


MENU Page_alarm_hi_hi_alm_func2
{
	LABEL		[limit_hi_hi];
	ITEMS
	{
		analog_input2_hi_hi_alm_unacknowledged,
		analog_input2_hi_hi_alm_state,
		/* analog_input2_hi_hi_alm_time_stamp,		*/
		analog_input2_hi_hi_alm_subcode,
		analog_input2_hi_hi_lim				(READ_ONLY),
		analog_input2_hi_hi_alm_value
	}
}

MENU Page_alarm_hi_alm_func2
{
	LABEL		[limit_hi];
	ITEMS
	{
		analog_input2_hi_alm_unacknowledged,
		analog_input2_hi_alm_state,
		/* analog_input2_hi_alm_time_stamp,		*/
		analog_input2_hi_alm_subcode,
		analog_input2_hi_lim				(READ_ONLY),
		analog_input2_hi_alm_value
	}
}

MENU Page_alarm_lo_alm_func2
{
	LABEL		[limit_lo];
	ITEMS
	{
		analog_input2_lo_alm_unacknowledged,
		analog_input2_lo_alm_state,
		/* analog_input2_lo_alm_time_stamp,		*/
		analog_input2_lo_alm_subcode,
		analog_input2_lo_lim				(READ_ONLY),
		analog_input2_lo_alm_value
	}
}

MENU Page_alarm_lo_lo_alm_func2
{
	LABEL		[limit_lo_lo];
	ITEMS
	{
		analog_input2_lo_lo_alm_unacknowledged,
		analog_input2_lo_lo_alm_state,
		/* analog_input2_lo_lo_alm_time_stamp,		*/
		analog_input2_lo_lo_alm_subcode,
		analog_input2_lo_lo_lim				(READ_ONLY),
		analog_input2_lo_lo_alm_value
	}
}


MENU Page_alarm_sum_func2
{
	LABEL		[menu_dialog_alarm_sum];
	ITEMS
	{
	    analog_input2_current_state_alarm_sum,
		analog_input2_unacknowledged_state_alarm_sum,
		SEPARATOR ,
		analog_input2_unreported_state_alarm_sum,
		analog_input2_disabled_state_alarm_sum
	}
}








MENU Page_alarm_overview_func3
{
	LABEL [menu_dialog_overview] ;
	HELP  [dialog_alarm_overview_help] ;
	ITEMS
	{
		analog_input3_hi_hi_lim (READ_ONLY),
		analog_input3_hi_lim (READ_ONLY),
		analog_input3_lo_lim (READ_ONLY),
		analog_input3_lo_lo_lim (READ_ONLY),
		SEPARATOR ,
		func3_blank.hi_hi_alm_state,
		func3_blank.hi_alm_state,
		func3_blank.lo_alm_state,	
		func3_blank.lo_lo_alm_state
		SEPARATOR ,
		func3_blank.hi_hi_alm_value,
		func3_blank.hi_alm_value,
		func3_blank.lo_alm_value,	
		func3_blank.lo_lo_alm_value
	}
}


MENU Page_alarm_hi_hi_alm_func3
{
	LABEL		[limit_hi_hi];
	ITEMS
	{
		analog_input3_hi_hi_alm_unacknowledged,
		analog_input3_hi_hi_alm_state,
		/* analog_input3_hi_hi_alm_time_stamp,		*/
		analog_input3_hi_hi_alm_subcode,
		analog_input3_hi_hi_lim				(READ_ONLY),
		analog_input3_hi_hi_alm_value
	}
}

MENU Page_alarm_hi_alm_func3
{
	LABEL		[limit_hi];
	ITEMS
	{
		analog_input3_hi_alm_unacknowledged,
		analog_input3_hi_alm_state,
		/* analog_input3_hi_alm_time_stamp,		*/
		analog_input3_hi_alm_subcode,
		analog_input3_hi_lim				(READ_ONLY),
		analog_input3_hi_alm_value
	}
}

MENU Page_alarm_lo_alm_func3
{
	LABEL		[limit_lo];
	ITEMS
	{
		analog_input3_lo_alm_unacknowledged,
		analog_input3_lo_alm_state,
		/* analog_input3_lo_alm_time_stamp,		*/
		analog_input3_lo_alm_subcode,
		analog_input3_lo_lim				(READ_ONLY),
		analog_input3_lo_alm_value
	}
}

MENU Page_alarm_lo_lo_alm_func3
{
	LABEL		[limit_lo_lo];
	ITEMS
	{
		analog_input3_lo_lo_alm_unacknowledged,
		analog_input3_lo_lo_alm_state,
		/* analog_input3_lo_lo_alm_time_stamp,		*/
		analog_input3_lo_lo_alm_subcode,
		analog_input3_lo_lo_lim				(READ_ONLY),
		analog_input3_lo_lo_alm_value
	}
}


MENU Page_alarm_sum_func3
{
	LABEL		[menu_dialog_alarm_sum];
	ITEMS
	{
	    analog_input3_current_state_alarm_sum,
		analog_input3_unacknowledged_state_alarm_sum,
		SEPARATOR ,
		analog_input3_unreported_state_alarm_sum,
		analog_input3_disabled_state_alarm_sum
	}
}







MENU Page_alarm_overview_func4
{
	LABEL [menu_dialog_overview] ;
	HELP  [dialog_alarm_overview_help] ;
	ITEMS
	{
		analog_input4_hi_hi_lim (READ_ONLY),
		analog_input4_hi_lim (READ_ONLY),
		analog_input4_lo_lim (READ_ONLY),
		analog_input4_lo_lo_lim (READ_ONLY),
		SEPARATOR ,
		func4_blank.hi_hi_alm_state,
		func4_blank.hi_alm_state,
		func4_blank.lo_alm_state,	
		func4_blank.lo_lo_alm_state
		SEPARATOR ,
		func4_blank.hi_hi_alm_value,
		func4_blank.hi_alm_value,
		func4_blank.lo_alm_value,	
		func4_blank.lo_lo_alm_value
	}
}


MENU Page_alarm_hi_hi_alm_func4
{
	LABEL		[limit_hi_hi];
	ITEMS
	{
		analog_input4_hi_hi_alm_unacknowledged,
		analog_input4_hi_hi_alm_state,
		/* analog_input4_hi_hi_alm_time_stamp,		*/
		analog_input4_hi_hi_alm_subcode,
		analog_input4_hi_hi_lim				(READ_ONLY),
		analog_input4_hi_hi_alm_value
	}
}

MENU Page_alarm_hi_alm_func4
{
	LABEL		[limit_hi];
	ITEMS
	{
		analog_input4_hi_alm_unacknowledged,
		analog_input4_hi_alm_state,
		/* analog_input4_hi_alm_time_stamp,		*/
		analog_input4_hi_alm_subcode,
		analog_input4_hi_lim				(READ_ONLY),
		analog_input4_hi_alm_value
	}
}

MENU Page_alarm_lo_alm_func4
{
	LABEL		[limit_lo];
	ITEMS
	{
		analog_input4_lo_alm_unacknowledged,
		analog_input4_lo_alm_state,
		/* analog_input4_lo_alm_time_stamp,		*/
		analog_input4_lo_alm_subcode,
		analog_input4_lo_lim				(READ_ONLY),
		analog_input4_lo_alm_value
	}
}

MENU Page_alarm_lo_lo_alm_func4
{
	LABEL		[limit_lo_lo];
	ITEMS
	{
		analog_input4_lo_lo_alm_unacknowledged,
		analog_input4_lo_lo_alm_state,
		/* analog_input4_lo_lo_alm_time_stamp,		*/
		analog_input4_lo_lo_alm_subcode,
		analog_input4_lo_lo_lim				(READ_ONLY),
		analog_input4_lo_lo_alm_value
	}
}


MENU Page_alarm_sum_func4
{
	LABEL		[menu_dialog_alarm_sum];
	ITEMS
	{
	    analog_input4_current_state_alarm_sum,
		analog_input4_unacknowledged_state_alarm_sum,
		SEPARATOR ,
		analog_input4_unreported_state_alarm_sum,
		analog_input4_disabled_state_alarm_sum
	}
}

//#####################################
//####		ident
//#####################################

MENU Tab_s_ident
{
	LABEL		[menu_ident];

	ITEMS
	{
		Tab_s_ident_opunit,
		Tab_s_ident_device

#ifdef PHYS_ADDITIONAL_GROUP_SPECIALIST
		,
		PHYS_ADDITIONAL_GROUP_SPECIALIST
#endif
	}
}

MENU Tab_s_ident_opunit
{
	LABEL		[menu_ident_opunit];
	ITEMS
	{
		phys_tag_desc,
		phys_descriptor,	
		phys_message	
	}
}

MENU Tab_s_certificates
{
	LABEL		[menu_certificates];
	ITEMS
	{
		phys_device_certification	(READ_ONLY)
	}
}

MENU Tab_s_ident_device
{
	LABEL		[menu_ident_device];
	ITEMS
	{
		phys_device_man_id,
		phys_device_id,
		phys_device_ser_num,
		phys_software_rev,
		phys_hardware_rev,
		phys_blk_profile_rev,
		phys_st_rev,
		phys_ident_number,
		phys_install_date
#ifdef PHYS_ADDITIONAL_PARAMETER
		,
		PHYS_ADDITIONAL_PARAMETER
#endif
	}
}

MENU OnlineDialog_ident_number
{
	CW_access_for_onlinemenus
	LABEL		"Profibus Ident Number";
	ITEMS
	{
		phys_ident_number
	}
}