//******************************************************************************
//****	ONLINE-MENU for PDM Maintenance ****************************************
//******************************************************************************

MENU Menu_Main_Maintenance
{
	CW_access_for_onlinemenus
	LABEL		[main_menu];
	ITEMS
	{
		Menu_File,
		Menu_S_Device,
		Menu_S_View,
		Menu_Options,
		Menu_Help
	}
}


MENU Menu_M_Device
{
	CW_access_for_onlinemenus
	LABEL		[menu_Device];
	ITEMS
	{
		std_LoadinDevice,
		std_LoadinPC,
		SEPARATOR,
		Page_M_Simulation,
		Page_M_TopcCal
	}
}


/*
METHOD std_LoadinDevice
{
	CW_access_for_onlinemenus
	CLASS SERVICE;
	LABEL		[menu_Device_LoadinDevice];
	DEFINITION
	{
	}
}

METHOD std_LoadinPC
{
	CW_access_for_onlinemenus
	CLASS SERVICE;
	LABEL		[menu_Device_LoadinPC];
	DEFINITION
	{
	}
}
*/

MENU Menu_M_View
{
	CW_access_for_onlinemenus
	LABEL		[menu_View];
	ITEMS
	{
		Page_M_display,
		Menu_M_limitStates,
		Page_TransducerBlocks,
		Page_FunctionBlocks,
		SEPARATOR,
		Menu_M_alarm,
		Page_M_state,
		Page_M_error,
		/*
		SEPARATOR,
		Page_diagnosis_general,
		Page_diagnosis_physical,
		Page_diagnosis_trans,
		Page_diagnosis_function,
		Page_diagnosis_manufact_specific
		*/
	}
}


//******************************************************************************
//****	Online-Windows  ********************************************************
//******************************************************************************

MENU Page_M_TopcCal
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_TopcCal];	
	ITEMS
	{
		Page_M_diagnosis_TopcCal
	}
}

MENU Page_M_diagnosis_TopcCal
{
	CW_access_for_onlinemenus
	LABEL	[lbl_Page_diagnosis_TopcCal];
	ITEMS
	{
		manufact_Active_Program (READ_ONLY),
		manufact_Automatic (READ_ONLY),
		manufact_Extern_Control (READ_ONLY),
		manufact_Topcal_Hold (READ_ONLY),
		manufact_Armatur_Position (READ_ONLY)
	}
#ifndef SHOWALLMENUS
	VALIDITY
		IF (manufact_Device_Funct <= DEVICE_FUNCT_TOPCLEAN) { TRUE;}
		ELSE { FALSE;}
#endif
}



MENU Page_M_state
{
	CW_access_for_onlinemenus
	LABEL	"State|de|Status";
	ITEMS
	{
		phys_device_state,
		phys_global_status,
		manufact_Hold_State,
		phys_HW_write_protection
  }
}



MENU Page_M_error
{
	CW_access_for_onlinemenus
	LABEL	"Errors|de|Fehler";
	ITEMS
	{
		Page_M_errorOverview,
		Page_diagnosis_erors 
  }
}


MENU Page_M_errorOverview
{
	CW_access_for_onlinemenus
	LABEL	"Error overview|de|Fehlerbersicht";
	ITEMS
	{
		phys_diagnosis,
		manufact_Current_Error,
		phys_ehc_actual_error,
		//phys_ehc_last_error, //same as above
		method_Clear_Last_Error
  }
}



MENU Menu_M_alarm
{
	CW_access_for_onlinemenus
	LABEL	[menu_dialog_alarm];
	ITEMS
	{
		ON_M_alarm_physical,
		ON_M_alarm_tb,
		ON_M_alarm_ai,
  }
}


MENU ON_M_alarm_physical
{
	CW_access_for_onlinemenus
	LABEL	"Physical block";
	ITEMS
	{
		phys_current_state_alarm_sum,
		phys_unacknowledged_state_alarm_sum,
		phys_unreported_state_alarm_sum,
		phys_disabled_state_alarm_sum
	}
}

MENU ON_M_alarm_tb
{
	CW_access_for_onlinemenus
	LABEL	"Transducer blocks";
	ITEMS
	{
		ON_M_alarm_tb1,
		ON_M_alarm_tb2,
		ON_M_alarm_tb3,
		ON_M_alarm_tb4
	}
}


MENU ON_M_alarm_tb1
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 1";
	ITEMS
	{
		trans1_current_state_alarm_sum,
		trans1_unacknowledged_state_alarm_sum,
		trans1_unreported_state_alarm_sum,
		trans1_disabled_state_alarm_sum
	}
}

MENU ON_M_alarm_tb2
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 2";
	ITEMS
	{
		trans2_current_state_alarm_sum,
		trans2_unacknowledged_state_alarm_sum,
		trans2_unreported_state_alarm_sum,
		trans2_disabled_state_alarm_sum
	}
}

MENU ON_M_alarm_tb3
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 3";
	ITEMS
	{
		trans3_current_state_alarm_sum,
		trans3_unacknowledged_state_alarm_sum,
		trans3_unreported_state_alarm_sum,
		trans3_disabled_state_alarm_sum
	}
}

MENU ON_M_alarm_tb4
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 4";
	ITEMS
	{
		trans4_current_state_alarm_sum,
		trans4_unacknowledged_state_alarm_sum,
		trans4_unreported_state_alarm_sum,
		trans4_disabled_state_alarm_sum
	}
}


MENU ON_M_alarm_ai
{
	CW_access_for_onlinemenus
	LABEL	"Analog input blocks";
	ITEMS
	{
		ON_M_alarm_ai1,
		ON_M_alarm_ai2,
		ON_M_alarm_ai3,
		ON_M_alarm_ai4
	}
}

MENU ON_M_alarm_ai1
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 1";
	ITEMS
	{
		analog_input1_current_state_alarm_sum,
		analog_input1_unacknowledged_state_alarm_sum,
		analog_input1_unreported_state_alarm_sum,
		analog_input1_disabled_state_alarm_sum
	}
}

MENU ON_M_alarm_ai2
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 2";
	ITEMS
	{
		analog_input2_current_state_alarm_sum,
		analog_input2_unacknowledged_state_alarm_sum,
		analog_input2_unreported_state_alarm_sum,
		analog_input2_disabled_state_alarm_sum
	}
}

MENU ON_M_alarm_ai3
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 3";
	ITEMS
	{
		analog_input3_current_state_alarm_sum,
		analog_input3_unacknowledged_state_alarm_sum,
		analog_input3_unreported_state_alarm_sum,
		analog_input3_disabled_state_alarm_sum
	}
}

MENU ON_M_alarm_ai4
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 4";
	ITEMS
	{
		analog_input4_current_state_alarm_sum,
		analog_input4_unacknowledged_state_alarm_sum,
		analog_input4_unreported_state_alarm_sum,
		analog_input4_disabled_state_alarm_sum
	}
}


MENU Menu_M_limitStates
{
	CW_access_for_onlinemenus
	LABEL	"Limit states|de|Grenzwertzustnde";
	ITEMS
	{
		ON_M_limitState_ai1,
		ON_M_limitState_ai2,
		ON_M_limitState_ai3,
		ON_M_limitState_ai4
  }
}


MENU ON_M_limitState_ai1
{
	CW_access_for_onlinemenus
	LABEL	"Limit states AI1|de|Grentwertstatus AI1";
	ITEMS
	{
		Page_diagnosis_function1_block_hi_hi,
		Page_diagnosis_function1_block_hi,
		Page_diagnosis_function1_block_lo,
		Page_diagnosis_function1_block_lo_lo
	}
}

MENU ON_M_limitState_ai2
{
	CW_access_for_onlinemenus
	LABEL	"Limit states AI2|de|Grentwertstatus AI2";
	ITEMS
	{
		Page_diagnosis_function2_block_hi_hi,
		Page_diagnosis_function2_block_hi,
		Page_diagnosis_function2_block_lo,
		Page_diagnosis_function2_block_lo_lo
	}
}

MENU ON_M_limitState_ai3
{
	CW_access_for_onlinemenus
	LABEL	"Limit states AI3|de|Grentwertstatus AI3";
	ITEMS
	{
		Page_diagnosis_function3_block_hi_hi,
		Page_diagnosis_function3_block_hi,
		Page_diagnosis_function3_block_lo,
		Page_diagnosis_function3_block_lo_lo
	}
}

MENU ON_M_limitState_ai4
{
	CW_access_for_onlinemenus
	LABEL	"Limit states AI4|de|Grentwertstatus AI4";
	ITEMS
	{
		Page_diagnosis_function4_block_hi_hi,
		Page_diagnosis_function4_block_hi,
		Page_diagnosis_function4_block_lo,
		Page_diagnosis_function4_block_lo_lo
	}
}

/*
MENU Page_TransducerBlocks
{
	CW_access_for_onlinemenus
	LABEL	"Transducer blocks";
	ITEMS
	{
		Page_TransducerBlock1,
		Page_TransducerBlock2,
		Page_TransducerBlock3,
		Page_TransducerBlock4
	}
}


MENU Page_TransducerBlock1
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 1";
	ITEMS
	{
		trans1_pv_meas_value,
		trans1_pv_meas_status_quality,
		trans1_pv_meas_status_limits,
		trans1_pv_meas_date
	}
}

MENU Page_TransducerBlock2
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 2";
	ITEMS
	{
		trans2_pv_meas_value,
		trans2_pv_meas_status_quality,
		trans2_pv_meas_status_limits,
		trans2_pv_meas_date
	}
}

MENU Page_TransducerBlock3
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 3";
	ITEMS
	{
		trans3_pv_meas_value,
		trans3_pv_meas_status_quality,
		trans3_pv_meas_status_limits,
		trans3_pv_meas_date
	}
}

MENU Page_TransducerBlock4
{
	CW_access_for_onlinemenus
	LABEL	"Transducer block 4";
	ITEMS
	{
		trans4_pv_meas_value,
		trans4_pv_meas_status_quality,
		trans4_pv_meas_status_limits,
		trans4_pv_meas_date
	}
}
*/

/*
MENU Page_FunctionBlocks
{
	CW_access_for_onlinemenus
	LABEL	"Function blocks";
	ITEMS
	{
		Page_FunctionBlock1,
		Page_FunctionBlock2,
		Page_FunctionBlock3,
		Page_FunctionBlock4
	}
}

MENU Page_FunctionBlock1
{
	CW_access_for_onlinemenus
	LABEL	"Analog input block 1";
	ITEMS
	{
		analog_input1_out_value,
		analog_input1_out_status_quality,
		analog_input1_out_status_limit
	}
}

MENU Page_FunctionBlock2
{
	CW_access_for_onlinemenus
	LABEL	"Analog input block 2";
	ITEMS
	{
		analog_input2_out_value,
		analog_input2_out_status_quality,
		analog_input2_out_status_limit
	}
}

MENU Page_FunctionBlock3
{
	CW_access_for_onlinemenus
	LABEL	"Analog input block 3";
	ITEMS
	{
		analog_input3_out_value,
		analog_input3_out_status_quality,
		analog_input3_out_status_limit
	}
}

MENU Page_FunctionBlock4
{
	CW_access_for_onlinemenus
	LABEL	"Analog input block 4";
	ITEMS
	{
		analog_input4_out_value,
		analog_input4_out_status_quality,
		analog_input4_out_status_limit
	}
}
*/

MENU Page_M_Simulation
{
	CW_access_for_onlinemenus
	LABEL	"Simulation";
	ITEMS
	{
		Page_M_Simulation_ai1,
		Page_M_Simulation_ai2,
		Page_M_Simulation_ai3,
		Page_M_Simulation_ai4
	}
}

MENU Page_M_Simulation_ai1
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 1";
	ITEMS
	{
		analog_input1_simulation_enabled (READ_ONLY),
		analog_input1_simulate_status_quality (READ_ONLY),
		analog_input1_simulate_status_limit (READ_ONLY),
		analog_input1_simulate_value (READ_ONLY)
	}
}

MENU Page_M_Simulation_ai2
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 2";
	ITEMS
	{
		analog_input2_simulation_enabled (READ_ONLY),
		analog_input2_simulate_status_quality (READ_ONLY),
		analog_input2_simulate_status_limit (READ_ONLY),
		analog_input2_simulate_value (READ_ONLY)
	}
}

MENU Page_M_Simulation_ai3
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 3";
	ITEMS
	{
		analog_input3_simulation_enabled (READ_ONLY),
		analog_input3_simulate_status_quality (READ_ONLY),
		analog_input3_simulate_status_limit (READ_ONLY),
		analog_input3_simulate_value (READ_ONLY)
	}
}

MENU Page_M_Simulation_ai4
{
	CW_access_for_onlinemenus
	LABEL	"Analog input 4";
	ITEMS
	{
		analog_input4_simulation_enabled (READ_ONLY),
		analog_input4_simulate_status_quality (READ_ONLY),
		analog_input4_simulate_status_limit (READ_ONLY),
		analog_input4_simulate_value (READ_ONLY)
	}
}

MENU Page_M_display
{
	CW_access_for_onlinemenus
	LABEL	"Measured values|de|Mewerte";
	ITEMS
	{
		Page_display_out_CH1,		
		Page_display_out_CH2,
		Page_display_out_controller
  }
}

/*
MENU Page_display_out_CH1
{
	CW_access_for_onlinemenus
	LABEL	"Channel 1|de|Kanal 1";
	ITEMS
	{
		BarVal_out_display_CH1,
		manufact_MeasValue_CH1	(READ_ONLY),
		manufact_Temp_CH1		(READ_ONLY)
	}
}

MENU BarVal_out_display_CH1
{
	CW_access_for_onlinemenus
	LABEL	"Value CH1|de|Wert CH1";
	ITEMS
	{
		manufact_MeasValue_CH1	(READ_ONLY),
		trans1_range_begin		(READ_ONLY),
		trans1_range_end		(READ_ONLY)
	}
}


MENU Page_display_out_CH2
{
  LABEL	"Channel 2|de|Kanal 2";
  ITEMS {
    BarVal_out_display_CH2,
    manufact_MeasValue_CH2	(READ_ONLY),
    manufact_Temp_CH2		(READ_ONLY)
  }
}

MENU BarVal_out_display_CH2
{
  LABEL	"Value CH2|de|Wert CH2";
  ITEMS {
    manufact_MeasValue_CH2	(READ_ONLY),
    trans3_range_begin		(READ_ONLY),
    trans3_range_end		(READ_ONLY)
  }
}





MENU Page_display_out_controller
{
	LABEL	[lbl_manufact_Controller];
	ITEMS
	{
		BarVal_controller
	}
}


MENU BarVal_controller
{
	LABEL	[lbl_manufact_Contr_Set_Value];
	ITEMS
	{
		manufact_Contr_Set_Value,
		percent_0,
		percent_100
	}
}
*/




