#define VALIDIFTOPCLEAN VALIDITY\
						IF (manufact_Device_Funct <= DEVICE_FUNCT_TOPCLEAN)\
							{ TRUE;}\
						ELSE\
							{ FALSE;}\

//******************************************************************************
//****	V4 - Matrix
//******************************************************************************

VARIABLE manufact_Active_Program
{
	LABEL		[lbl_manufact_Active_Program];
	CLASS		CONTAINED & DYNAMIC;

	TYPE		ENUMERATED (1)
	{
		SELECT (manufact_Device_Funct)
		{
			CASE 0:
				{ 0, [lbl_Program_no_Prog] },
				{ 1, "Clean" },
				{ 2, "CleanC" },
				{ 3, "CleanS" },
				{ 4, "CleanCS" },
				{ 6, "Userprog1" },
				{ 7, "Userprog2" },
				{ 8, "Userprog3" }
			CASE 1:
				{ 0, [lbl_Program_no_Prog] },
				{ 1, "Clean" },
				{ 3, "CleanS" },
				{ 6, "Userprog1" },
				{ 7, "Userprog2" },
				{ 8, "Userprog3" }
		}
	}
	HANDLING	READ & WRITE;
	
	VALIDIFTOPCLEAN
}

VARIABLE manufact_Automatic
{
	LABEL		[lbl_manufact_Automatic];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{ 0, [off]	},
		{ 1, [on]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE manufact_Extern_Control
{
	LABEL		[lbl_manufact_Extern_Control];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{ 0, [off]	},
		{ 1, [on]	}
	}
	HANDLING	READ & WRITE;

	VALIDIFTOPCLEAN
}

VARIABLE manufact_Topcal_Hold
{
	LABEL		[lbl_manufact_Topcal_Hold];
	CLASS		CONTAINED; //thbe & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{ 0, [off]	},
		{ 1, [on]	}
	}
	HANDLING	READ & WRITE;

	VALIDIFTOPCLEAN
}

VARIABLE manufact_Armatur_Position
{
	LABEL		[lbl_manufact_Armatur_Position];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{ 0, [lbl_Armatur_Position_Measure]	},
		{ 1, [lbl_Armatur_Position_Service]	},
		{ 2, "-------"	}
	}
	HANDLING	READ & WRITE;

	VALIDIFTOPCLEAN
}


VARIABLE manufact_CurrentPS
{
	LABEL		[lbl_manufact_CurrentPS];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		INTEGER (1);
	HANDLING	READ;
}

VARIABLE manufact_NumberBinInputs
{
	LABEL		[lbl_manufact_NumberBinInputs];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{ 0, [lbl_manufact_NumberBinInputs_0]	},
		{ 1, [lbl_manufact_NumberBinInputs_1]	},
		{ 2, [lbl_manufact_NumberBinInputs_2]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE manufact_ControlBinInput
{
	LABEL		[lbl_manufact_ControlBinInput];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{ 0, [lbl_manufact_ControlBinInput_Device]	},
		{ 1, [lbl_manufact_ControlBinInput_PA]	}
	}
	HANDLING	READ & WRITE;
}


COMMAND read_manufact_Active_Program
{
	SLOT	5;
	INDEX 122;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_Active_Program
		}
	}
}

COMMAND write_manufact_Active_Program
{
	SLOT	5;
	INDEX 122;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_Active_Program
		}
		REPLY
		{
		}
	}
}

COMMAND read_manufact_Automatic
{
	SLOT	5;
	INDEX 123;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_Automatic
		}
	}
}

COMMAND write_manufact_Automatic
{
	SLOT	5;
	INDEX 123;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_Automatic
		}
		REPLY
		{
		}
	}
}

COMMAND read_manufact_Extern_Control
{
	SLOT	5;
	INDEX 124;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_Extern_Control
		}
	}
}

COMMAND write_manufact_Extern_Control
{
	SLOT	5;
	INDEX 124;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_Extern_Control
		}
		REPLY
		{
		}
	}
}

COMMAND read_manufact_Topcal_Hold
{
	SLOT	5;
	INDEX 125;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_Topcal_Hold
		}
	}
}

COMMAND write_manufact_Topcal_Hold
{
	SLOT	5;
	INDEX 125;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_Topcal_Hold
		}
		REPLY
		{
		}
	}
}

COMMAND read_manufact_Armatur_Position
{
	SLOT	5;
	INDEX 126;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_Armatur_Position
		}
	}
}

COMMAND write_manufact_Armatur_Position
{
	SLOT	5;
	INDEX 126;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_Armatur_Position
		}
		REPLY
		{
		}
	}
}

COMMAND read_manufact_CurrentPS
{
	SLOT	5;
	INDEX 123;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_CurrentPS
		}
	}
}

COMMAND read_manufact_NumberBinInputs
{
	SLOT	5;
	INDEX 124;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_NumberBinInputs
		}
	}
}

COMMAND write_manufact_NumberBinInputs
{
	SLOT	5;
	INDEX 124;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_NumberBinInputs
		}
		REPLY
		{
		}
	}
}
COMMAND read_manufact_ControlBinInput
{
	SLOT	5;
	INDEX 125;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_ControlBinInput
		}
	}
}

COMMAND write_manufact_ControlBinInput
{
	SLOT	5;
	INDEX 125;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_ControlBinInput
		}
		REPLY
		{
		}
	}
}
