
//******************************************************************************
//****	V7 - Matrix
//******************************************************************************

VARIABLE manufact_LS1_function
{
	LABEL		[lbl_manufact_LS1_function];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{ 0, [off]	},
		{ 1, [on]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE manufact_LS2_function
{
	LABEL		[lbl_manufact_LS1_function];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{ 0, [off]	},
		{ 1, [on]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE manufact_LS3_function
{
	LABEL		[lbl_manufact_LS1_function];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{ 0, [off]	},
		{ 1, [on]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE manufact_LS4_function
{
	LABEL		[lbl_manufact_LS1_function];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{ 0, [off]	},
		{ 1, [on]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE manufact_LS5_function
{
	LABEL		[lbl_manufact_LS1_function];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{ 0, [off]	},
		{ 1, [on]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE manufact_LS1_alarm_threshold
{
	LABEL		[lbl_manufact_LS1_alarm_threshold];	
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		#ifdef DEVICE_PARAM_PH
			DEFAULT_VALUE	16; 
		#else
			DEFAULT_VALUE	2000; 
		#endif
		DISPLAY_FORMAT_LS_1_VALUES
	}
	HANDLING	READ & WRITE;
}

VARIABLE manufact_LS2_alarm_threshold
{
	LABEL		[lbl_manufact_LS1_alarm_threshold];	
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		#ifdef DEVICE_PARAM_PH
			DEFAULT_VALUE	16; 
		#else
			DEFAULT_VALUE	2000; 
		#endif
		DISPLAY_FORMAT_LS_2_VALUES
	}
	HANDLING	READ & WRITE;
}

VARIABLE manufact_LS3_alarm_threshold
{
	LABEL		[lbl_manufact_LS1_alarm_threshold];	
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		#ifdef DEVICE_PARAM_PH
			DEFAULT_VALUE	16; 
		#else
			DEFAULT_VALUE	2000; 
		#endif
		DISPLAY_FORMAT_LS_3_VALUES
	}
	HANDLING	READ & WRITE;
}

VARIABLE manufact_LS4_alarm_threshold
{
	LABEL		[lbl_manufact_LS1_alarm_threshold];	
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		#ifdef DEVICE_PARAM_PH
			DEFAULT_VALUE	16; 
		#else
			DEFAULT_VALUE	2000; 
		#endif
		DISPLAY_FORMAT_LS_4_VALUES
	}
	HANDLING	READ & WRITE;
}

VARIABLE manufact_LS5_alarm_threshold
{
	LABEL		[lbl_manufact_LS1_alarm_threshold];	
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		#ifdef DEVICE_PARAM_PH
			DEFAULT_VALUE	16; 
		#else
			DEFAULT_VALUE	2000; 
		#endif
		DISPLAY_FORMAT_LS_5_VALUES
	}
	HANDLING	READ & WRITE;
}

COMMAND read_manufact_LS1_function
{
	SLOT	5;
	INDEX INDEX_manufact_LS1_function;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_LS1_function
		}
	}
}

COMMAND write_manufact_LS1_function
{
	SLOT	5;
	INDEX INDEX_manufact_LS1_function;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_LS1_function
		}
		REPLY
		{
		}
	}
}

COMMAND read_manufact_LS2_function
{
	SLOT	5;
	INDEX INDEX_manufact_LS2_function;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_LS2_function
		}
	}
}

COMMAND write_manufact_LS2_function
{
	SLOT	5;
	INDEX INDEX_manufact_LS2_function;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_LS2_function
		}
		REPLY
		{
		}
	}
}

COMMAND read_manufact_LS3_function
{
	SLOT	5;
	INDEX INDEX_manufact_LS3_function;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_LS3_function
		}
	}
}

COMMAND write_manufact_LS3_function
{
	SLOT	5;
	INDEX INDEX_manufact_LS3_function;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_LS3_function
		}
		REPLY
		{
		}
	}
}

COMMAND read_manufact_LS4_function
{
	SLOT	5;
	INDEX INDEX_manufact_LS4_function;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_LS4_function
		}
	}
}

COMMAND write_manufact_LS4_function
{
	SLOT	5;
	INDEX INDEX_manufact_LS4_function;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_LS4_function
		}
		REPLY
		{
		}
	}
}

COMMAND read_manufact_LS5_function
{
	SLOT	5;
	INDEX INDEX_manufact_LS5_function;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_LS5_function
		}
	}
}

COMMAND write_manufact_LS5_function
{
	SLOT	5;
	INDEX INDEX_manufact_LS5_function;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_LS5_function
		}
		REPLY
		{
		}
	}
}

COMMAND read_manufact_LS1_alarm_threshold
{
	SLOT	5;
	INDEX INDEX_manufact_LS1_alarm_threshold;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_LS1_alarm_threshold
		}
	}
}

COMMAND write_manufact_LS1_alarm_threshold
{
	SLOT	5;
	INDEX INDEX_manufact_LS1_alarm_threshold;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_LS1_alarm_threshold
		}
		REPLY
		{
		}
	}
}

COMMAND read_manufact_LS2_alarm_threshold
{
	SLOT	5;
	INDEX INDEX_manufact_LS2_alarm_threshold;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_LS2_alarm_threshold
		}
	}
}

COMMAND write_manufact_LS2_alarm_threshold
{
	SLOT	5;
	INDEX INDEX_manufact_LS2_alarm_threshold;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_LS2_alarm_threshold
		}
		REPLY
		{
		}
	}
}
COMMAND read_manufact_LS3_alarm_threshold
{
	SLOT	5;
	INDEX INDEX_manufact_LS3_alarm_threshold;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_LS3_alarm_threshold
		}
	}
}

COMMAND write_manufact_LS3_alarm_threshold
{
	SLOT	5;
	INDEX INDEX_manufact_LS3_alarm_threshold;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_LS3_alarm_threshold
		}
		REPLY
		{
		}
	}
}
COMMAND read_manufact_LS4_alarm_threshold
{
	SLOT	5;
	INDEX INDEX_manufact_LS4_alarm_threshold;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_LS4_alarm_threshold
		}
	}
}

COMMAND write_manufact_LS4_alarm_threshold
{
	SLOT	5;
	INDEX INDEX_manufact_LS4_alarm_threshold;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_LS4_alarm_threshold
		}
		REPLY
		{
		}
	}
}
COMMAND read_manufact_LS5_alarm_threshold
{
	SLOT	5;
	INDEX INDEX_manufact_LS5_alarm_threshold;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			manufact_LS5_alarm_threshold
		}
	}
}

COMMAND write_manufact_LS5_alarm_threshold
{
	SLOT	5;
	INDEX INDEX_manufact_LS5_alarm_threshold;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			manufact_LS5_alarm_threshold
		}
		REPLY
		{
		}
	}
}
