//***********************************************************
//*************  UPLOAD  ************************************
//***********************************************************
//normal version: device->pc
MENU upload_variables
{
	CW_access_for_onlinemenus
	LABEL	[menu_load_to_PC];
	
	//#tb bug #2561 
    PRE_WRITE_ACTIONS
    {
        pre_write_upload_variables
	}
	POST_WRITE_ACTIONS
    {
        post_write_upload_variables
	}


	ITEMS
	{

		//#tb bug #2519, variables activated
		phys_tag_desc,
		phys_device_man_id,
		phys_device_id,
		phys_device_ser_num,
		phys_software_rev,
		phys_hardware_rev,
		phys_install_date,

		phys_st_rev,
		phys_strategy,
		phys_alert_key,
		phys_target_mode,
		phys_actual_mode,
		phys_permitted_mode,
		phys_normal_mode,

		phys_blk_reserve,
		phys_blk_object,
		phys_blk_parent_class,
		phys_blk_class,
		phys_blk_dd_reference,
		phys_blk_dd_rev,
		phys_blk_profile,
		phys_blk_profile_rev,
		phys_blk_execution_time,
		phys_blk_num_parameters,
		phys_blk_index_view_1,
		phys_blk_num_view_lists,


		phys_device_certification,
		//#tb #2561 phys_write_locking,

		phys_descriptor,
		phys_message,

//#tb		phys_local_op_enable,
		phys_ident_number,
//#tb		phys_HW_write_protection,
//#tb		phys_device_configuration,
//#tb		phys_init_state,

//		phys_ehc_updown_support,
//#tb		phys_device_bus_adress,



		//transducer block******************************************************
		trans1_st_rev,
		trans1_tag_desc,
		trans1_strategy,
		trans1_alert_key,
		trans1_target_mode,
		trans1_actual_mode,
		trans1_permitted_mode,
		trans1_normal_mode,

		trans1_blk_reserve,
		trans1_blk_object,
		trans1_blk_parent_class,
		trans1_blk_class,
		trans1_blk_dd_reference,
		trans1_blk_dd_rev,
		trans1_blk_profile,
		trans1_blk_profile_rev,
		trans1_blk_execution_time,
		trans1_blk_num_parameters,
		trans1_blk_index_view_1,
		trans1_blk_num_view_lists,

		trans1_pv_unit,
		trans1_pv_unit_text,
		trans1_component_name,
		trans1_active_range,
		trans1_auto_range_on,
		trans1_sampling_rate,
		trans1_number_of_ranges,
		trans1_range_begin,
		trans1_range_end



		trans2_st_rev,
		trans2_tag_desc,
		trans2_strategy,
		trans2_alert_key,
		trans2_target_mode,
		trans2_actual_mode,
		trans2_permitted_mode,
		trans2_normal_mode,

		trans2_blk_reserve,
		trans2_blk_object,
		trans2_blk_parent_class,
		trans2_blk_class,
		trans2_blk_dd_reference,
		trans2_blk_dd_rev,
		trans2_blk_profile,
		trans2_blk_profile_rev,
		trans2_blk_execution_time,
		trans2_blk_num_parameters,
		trans2_blk_index_view_1,
		trans2_blk_num_view_lists,

		trans2_pv_unit,
		trans2_pv_unit_text,
		trans2_component_name,
		trans2_active_range,
		trans2_auto_range_on,
		trans2_sampling_rate,
		trans2_number_of_ranges,
		trans2_range_begin,
		trans2_range_end


		trans3_st_rev,
		trans3_tag_desc,
		trans3_strategy,
		trans3_alert_key,
		trans3_target_mode,
		trans3_actual_mode,
		trans3_permitted_mode,
		trans3_normal_mode,

		trans3_blk_reserve,
		trans3_blk_object,
		trans3_blk_parent_class,
		trans3_blk_class,
		trans3_blk_dd_reference,
		trans3_blk_dd_rev,
		trans3_blk_profile,
		trans3_blk_profile_rev,
		trans3_blk_execution_time,
		trans3_blk_num_parameters,
		trans3_blk_index_view_1,
		trans3_blk_num_view_lists,

		trans3_pv_unit,
		trans3_pv_unit_text,
		trans3_component_name,
		trans3_active_range,
		trans3_auto_range_on,
		trans3_sampling_rate,
		trans3_number_of_ranges,
		trans3_range_begin,
		trans3_range_end



		trans4_st_rev,
		trans4_tag_desc,
		trans4_strategy,
		trans4_alert_key,
		trans4_target_mode,
		trans4_actual_mode,
		trans4_permitted_mode,
		trans4_normal_mode,

		trans4_blk_reserve,
		trans4_blk_object,
		trans4_blk_parent_class,
		trans4_blk_class,
		trans4_blk_dd_reference,
		trans4_blk_dd_rev,
		trans4_blk_profile,
		trans4_blk_profile_rev,
		trans4_blk_execution_time,
		trans4_blk_num_parameters,
		trans4_blk_index_view_1,
		trans4_blk_num_view_lists,

		trans4_pv_unit,
		trans4_pv_unit_text,
		trans4_component_name,
		trans4_active_range,
		trans4_auto_range_on,
		trans4_sampling_rate,
		trans4_number_of_ranges,
		trans4_range_begin,
		trans4_range_end


		//function block******************************************************
		//-------------------------------------------------
		func1_AI_st_rev,
		func1_AI_channel,
		func1_AI_out_unit,
		func1_AI_pv_ftime,
		func1_AI_batch_id,
		func1_AI_batch_unit,
		func1_AI_batch_operation,
		func1_AI_batch_phase,
		func1_AI_pv_lower_range_value,
		func1_AI_pv_upper_range_value,
		func1_AI_out_lower_range_value,
		func1_AI_out_upper_range_value,
		func1_AI_lo_lo_lim,
		func1_AI_lo_lim,
		func1_AI_hi_lim,
		func1_AI_hi_hi_lim,
		func1_AI_alarm_hys,
		func1_AI_FSafeType,
		func1_AI_out_decimal_point,

		//-------------------------------------------------
		func2_AI_st_rev,
		func2_AI_channel,
		func2_AI_out_unit,
		func2_AI_pv_ftime,
		func2_AI_batch_id,
		func2_AI_batch_unit,
		func2_AI_batch_operation,
		func2_AI_batch_phase,
		func2_AI_pv_lower_range_value,
		func2_AI_pv_upper_range_value,
		func2_AI_out_lower_range_value,
		func2_AI_out_upper_range_value,
		func2_AI_lo_lo_lim,
		func2_AI_lo_lim,
		func2_AI_hi_lim,
		func2_AI_hi_hi_lim,
		func2_AI_alarm_hys,
		func2_AI_FSafeType,
		func2_AI_out_decimal_point,

		//-------------------------------------------------
		func3_AI_st_rev,
		func3_AI_channel,
		func3_AI_out_unit,
		func3_AI_pv_ftime,
		func3_AI_batch_id,
		func3_AI_batch_unit,
		func3_AI_batch_operation,
		func3_AI_batch_phase,
		func3_AI_pv_lower_range_value,
		func3_AI_pv_upper_range_value,
		func3_AI_out_lower_range_value,
		func3_AI_out_upper_range_value,
		func3_AI_lo_lo_lim,
		func3_AI_lo_lim,
		func3_AI_hi_lim,
		func3_AI_hi_hi_lim,
		func3_AI_alarm_hys,
		func3_AI_FSafeType,
		func3_AI_out_decimal_point,

		//-------------------------------------------------
		func4_AI_st_rev,
		func4_AI_channel,
		func4_AI_out_unit,
		func4_AI_pv_ftime,
		func4_AI_batch_id,
		func4_AI_batch_unit,
		func4_AI_batch_operation,
		func4_AI_batch_phase,
		func4_AI_pv_lower_range_value,
		func4_AI_pv_upper_range_value,
		func4_AI_out_lower_range_value,
		func4_AI_out_upper_range_value,
		func4_AI_lo_lo_lim,
		func4_AI_lo_lim,
		func4_AI_hi_lim,
		func4_AI_hi_hi_lim,
		func4_AI_alarm_hys,
		func4_AI_FSafeType,
		func4_AI_out_decimal_point,


		//VH-Matrix ******************************************************
		manufact_Damping_MeasVal,
		manufact_Damping_Temp,


		manufact_Hold,
#ifdef DEVICE_PARAM_PH
		manufact_Device_Funct,
#endif


#ifdef DEVICE_PARAM_PH
		manufact_Unit_Zeropoint_CH1,
		manufact_Zeropoint_CH1,
		manufact_Slope_CH1,
#endif
#ifdef DEVICE_PARAM_LF
		manufact_Sensor_Type,
		manufact_Cell_Const_CH1,
		manufact_Adaption_Factor_CH1,
		manufact_Air_Set_CH1,
#endif
		manufact_Time_CH1,
		manufact_Date_CH1,
#ifdef DEVICE_PARAM_PH
		manufact_Unit_Zeropoint_CH2,
		manufact_Zeropoint_CH2,
		manufact_Slope_CH2,
#endif
#ifdef DEVICE_PARAM_LF
		manufact_Cell_Const_CH2,
		manufact_Adaption_Factor_CH2,
		manufact_Air_Set_CH2,
#endif
		manufact_Time_CH2,
		manufact_Date_CH2,


		/* #tb not necessary for offline menus
		IF (manufact_Device_Funct <= DEVICE_FUNCT_TOPCLEAN)
		{
			manufact_Active_Program,
			manufact_Automatic,
			manufact_Extern_Control,
			manufact_Topcal_Hold,
			manufact_Armatur_Position,
		}
		*/
		

		manufact_CurrentPS,
		manufact_NumberBinInputs,
		manufact_ControlBinInput,


		manufact_Active_Program_CClean,
		manufact_Automatic_CClean,
		manufact_Extern_Control_CClean,


		manufact_Controller,
		manufact_Contr_Unit_Setpoint,

		
		manufact_LS1_function,
		manufact_LS1_unit,
		manufact_LS1_alarm_threshold,
		manufact_LS1_switch_off_pnt,
		manufact_LS1_switch_on_pnt,


		manufact_LS2_function,
		manufact_LS2_unit,
		manufact_LS2_alarm_threshold,
		manufact_LS2_switch_off_pnt,
		manufact_LS2_switch_on_pnt,


		manufact_LS3_function,
		manufact_LS3_unit,
		manufact_LS3_alarm_threshold,
		manufact_LS3_switch_off_pnt,
		manufact_LS3_switch_on_pnt,


		manufact_LS4_function,
		manufact_LS4_unit,
		manufact_LS4_alarm_threshold,
		manufact_LS4_switch_off_pnt,
		manufact_LS4_switch_on_pnt,


		manufact_LS5_function,
		manufact_LS5_unit,
		manufact_LS5_alarm_threshold,
		manufact_LS5_switch_off_pnt,
		manufact_LS5_switch_on_pnt,


		manufact_Sensor_Serial_No,
		manufact_Sensor_Lower_Limit,
#ifdef DEVICE_PARAM_PH
		manufact_Sensor_Upper_Limit
#endif
#ifdef DEVICE_PARAM_LF
		manufact_Sensor_Upper_Limit,
		manufact_Sensor_Type,
#endif


		manufact_SW_Version,
		manufact_HW_Version
	}
}



//***********************************************************
//*************  DOWNLOAD  **********************************
//***********************************************************
//normal version: pc->device
MENU download_variables
{
	CW_access_for_onlinemenus
	LABEL	[menu_load_to_PC]; //from PC (PDM only)
	ITEMS
	{

		//#tb bug #2519, variables activated
		phys_tag_desc,
		//phys_device_man_id,
		//phys_device_id,
		//phys_device_ser_num,
		//phys_software_rev,
		//phys_hardware_rev,
		//phys_install_date,

		//phys_st_rev,
		
		phys_strategy,
		phys_alert_key,
		phys_target_mode,
		//phys_actual_mode,
		//phys_permitted_mode,
		//phys_normal_mode,

	

		//phys_device_certification,
		phys_write_locking,
		phys_descriptor,
		phys_message,
//#tb		phys_local_op_enable,
		phys_ident_number,
		//phys_HW_write_protection,
		//phys_device_configuration,
//#tb		phys_init_state,
		//phys_device_state,
		//phys_global_status

//		phys_ehc_updown_support,
		//phys_device_bus_adress,



		//transducer block******************************************************
		//trans1_st_rev,
		trans1_tag_desc,
		trans1_strategy,
		trans1_alert_key,
		trans1_target_mode,
		//trans1_actual_mode,
		//trans1_permitted_mode,
		//trans1_normal_mode,

	

		//trans1_pv_unit,
		//trans1_pv_unit_text,
		trans1_component_name,
		//trans1_active_range,
		//trans1_auto_range_on,
		//trans1_sampling_rate,
		//trans1_number_of_ranges,
		trans1_range_begin,
		trans1_range_end,

		//-------------
		trans2_tag_desc,
		trans2_strategy,
		trans2_alert_key,
		trans2_target_mode,
	
		trans2_component_name,
		trans2_range_begin,
		trans2_range_end,

		//-------------
		trans3_tag_desc,
		trans3_strategy,
		trans3_alert_key,
		trans3_target_mode,
	
		trans3_component_name,
		trans3_range_begin,
		trans3_range_end,

		//-------------
		trans4_tag_desc,
		trans4_strategy,
		trans4_alert_key,
		trans4_target_mode,
	
		trans4_component_name,
		trans4_range_begin,
		trans4_range_end,

	


		//function block******************************************************
		func1_AI_channel,
		func1_AI_out_unit,
		func1_AI_pv_ftime,
		func1_AI_batch_id,
		func1_AI_batch_unit,
		func1_AI_batch_operation,
		func1_AI_batch_phase,
		func1_AI_pv_lower_range_value,
		func1_AI_pv_upper_range_value,
		func1_AI_out_lower_range_value,
		func1_AI_out_upper_range_value,
		func1_AI_lo_lo_lim,
		func1_AI_lo_lim,
		func1_AI_hi_lim,
		func1_AI_hi_hi_lim,
		func1_AI_alarm_hys,
		func1_AI_FSafeType,
		func1_AI_out_decimal_point,

		//-------------------------------------------------
		func2_AI_channel,
		func2_AI_out_unit,
		func2_AI_pv_ftime,
		func2_AI_batch_id,
		func2_AI_batch_unit,
		func2_AI_batch_operation,
		func2_AI_batch_phase,
		func2_AI_pv_lower_range_value,
		func2_AI_pv_upper_range_value,
		func2_AI_out_lower_range_value,
		func2_AI_out_upper_range_value,
		func2_AI_lo_lo_lim,
		func2_AI_lo_lim,
		func2_AI_hi_lim,
		func2_AI_hi_hi_lim,
		func2_AI_alarm_hys,
		func2_AI_FSafeType,
		func2_AI_out_decimal_point,

		//-------------------------------------------------
		func3_AI_channel,
		func3_AI_out_unit,
		func3_AI_pv_ftime,
		func3_AI_batch_id,
		func3_AI_batch_unit,
		func3_AI_batch_operation,
		func3_AI_batch_phase,
		func3_AI_pv_lower_range_value,
		func3_AI_pv_upper_range_value,
		func3_AI_out_lower_range_value,
		func3_AI_out_upper_range_value,
		func3_AI_lo_lo_lim,
		func3_AI_lo_lim,
		func3_AI_hi_lim,
		func3_AI_hi_hi_lim,
		func3_AI_alarm_hys,
		func3_AI_FSafeType,
		func3_AI_out_decimal_point,

		//-------------------------------------------------
		func4_AI_channel,
		func4_AI_out_unit,
		func4_AI_pv_ftime,
		func4_AI_batch_id,
		func4_AI_batch_unit,
		func4_AI_batch_operation,
		func4_AI_batch_phase,
		func4_AI_pv_lower_range_value,
		func4_AI_pv_upper_range_value,
		func4_AI_out_lower_range_value,
		func4_AI_out_upper_range_value,
		func4_AI_lo_lo_lim,
		func4_AI_lo_lim,
		func4_AI_hi_lim,
		func4_AI_hi_hi_lim,
		func4_AI_alarm_hys,
		func4_AI_FSafeType,
		func4_AI_out_decimal_point,


		//VH-Matrix ******************************************************
		manufact_Damping_MeasVal,
		manufact_Damping_Temp,


		manufact_Hold,

#ifdef DEVICE_PARAM_PH
		//manufact_Device_Funct,
#endif


#ifdef DEVICE_PARAM_PH
		//manufact_Unit_Zeropoint_CH1,
		//manufact_Zeropoint_CH1,
		//manufact_Slope_CH1,
#endif
#ifdef DEVICE_PARAM_LF
		//manufact_Sensor_Type,
		//manufact_Cell_Const_CH1,
		//manufact_Adaption_Factor_CH1,
		//manufact_Air_Set_CH1,
#endif
		//manufact_Time_CH1,
		//manufact_Date_CH1,
#ifdef DEVICE_PARAM_PH
		//manufact_Unit_Zeropoint_CH2,
		//manufact_Zeropoint_CH2,
		//manufact_Slope_CH2,
#endif
#ifdef DEVICE_PARAM_LF
		//manufact_Cell_Const_CH2,
		//manufact_Adaption_Factor_CH2,
		//manufact_Air_Set_CH2,
#endif
		//manufact_Time_CH2,
		//manufact_Date_CH2,

		
		IF (manufact_Device_Funct <= DEVICE_FUNCT_TOPCLEAN)
		{
			manufact_Active_Program,
			manufact_Automatic,
			manufact_Extern_Control,
			manufact_Topcal_Hold,
			manufact_Armatur_Position,
		}

		//manufact_CurrentPS,
		manufact_NumberBinInputs,
		manufact_ControlBinInput,


		manufact_Active_Program_CClean,
		manufact_Automatic_CClean,
		manufact_Extern_Control_CClean,


		manufact_Controller,
		//manufact_Contr_Unit_Setpoint,

		
		manufact_LS1_function,
		//manufact_LS1_unit,
		manufact_LS1_alarm_threshold,
		manufact_LS1_switch_off_pnt,
		manufact_LS1_switch_on_pnt,


		manufact_LS2_function,
		//manufact_LS2_unit,
		manufact_LS2_alarm_threshold,
		manufact_LS2_switch_off_pnt,
		manufact_LS2_switch_on_pnt,


		manufact_LS3_function,
		//manufact_LS3_unit,
		manufact_LS3_alarm_threshold,
		manufact_LS3_switch_off_pnt,
		manufact_LS3_switch_on_pnt,


		manufact_LS4_function,
		//manufact_LS4_unit,
		manufact_LS4_alarm_threshold,
		manufact_LS4_switch_off_pnt,
		manufact_LS4_switch_on_pnt,


		manufact_LS5_function,
		//manufact_LS5_unit,
		manufact_LS5_alarm_threshold,
		manufact_LS5_switch_off_pnt,
		manufact_LS5_switch_on_pnt,


		//manufact_Sensor_Serial_No,
		//manufact_Sensor_Lower_Limit,
#ifdef DEVICE_PARAM_PH
		//manufact_Sensor_Upper_Limit
#endif
#ifdef DEVICE_PARAM_LF
		//manufact_Sensor_Upper_Limit,
		//manufact_Sensor_Type,
#endif


		//manufact_SW_Version,
		//manufact_HW_Version
	}
}

//#tb bug #2561
phys_write_locking_BACKUP LIKE VARIABLE phys_write_locking
{
	REDEFINE CLASS LOCAL;
}

//#tb bug #2561
phys_write_locking_DIAGNOSTIC LIKE VARIABLE phys_write_locking
{
	REDEFINE CLASS DIAGNOSTIC;
}

//#tb bug #2561
read_phys_write_locking_DIAGNOSTIC LIKE COMMAND read_phys_write_locking
{
	REDEFINE TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_write_locking_DIAGNOSTIC
		}
	}
}

//#tb bug #2561
METHOD pre_write_upload_variables
{
	ACCESS ONLINE;
	DEFINITION
	{
		//#tb bug #2561
		//save only the unlock value in device
		iassign(phys_write_locking_BACKUP, ivar_value(phys_write_locking_DIAGNOSTIC));
		iassign(phys_write_locking, 2457);
		WriteCommand(write_phys_write_locking);
		save_values();
	}
}

//#tb bug #2561
METHOD post_write_upload_variables
{
	ACCESS ONLINE;
	DEFINITION
	{
		//store the original lock code in the device
		iassign(phys_write_locking, ivar_value(phys_write_locking_BACKUP));
		WriteCommand(write_phys_write_locking);
	}
}
